import sys
import os
import json
from copy import deepcopy

if len(sys.argv) == 2:
    infilename = sys.argv[1]
    with open(infilename) as f:
        geolocations = json.load(f)

    # Converting to markdown table
    f_name, f_ext = os.path.splitext(infilename)
    with open(f"{f_name}.md", "w") as outfile: 
        outfile.write("\n\n#### Geolocation URLs  \n\n")
        outfile.write("| variable_name | service_url |  \n")
        outfile.write("| ------------- | ----------- |  \n")
        for service in geolocations:
            outfile.write(f'| {service["variable_name"]} | {service["service_url"]} |  \n') 

else:
    print("ERROR: start script with: python3 prepare_geolocation_urls.py filename")

