

# Contributing to TOAR-II FastAPI

:+1: First off, thanks for taking the time to contribute! :+1:  

The following is a set of guidelines for contributing to ...


#### Table of Content

[Code of Conduct](#code-of-conduct)

[I don't want to read this whole thing, I just have a question!!!](#i-dont-want-to-read-this-whole-thing-i-just-have-a-question)

[What should I know before I get started?](#what-should-i-know-before-i-get-started)
  * [Packages](#packages)
  * [Design Decisions](#design-decisions)

[How Can I Contribute?](#how-can-i-contribute)
  * [Reporting Bugs](#reporting-bugs)
  * [Suggesting Enhancements](#suggesting-enhancements)
  * [Your First Code Contribution](#your-first-code-contribution)
  * [Contribution Flow](#contribution-flow)
  * [Pull Requests](#pull-requests)

[Styleguides](#styleguides)
  * [Git Commit Messages](#git-commit-messages)
  * [Specs Styleguide](#specs-styleguide)
  * [Documentation Styleguide](#documentation-styleguide)

[Additional Notes](#additional-notes)
  * [Issue and Pull Request Labels](#issue-and-pull-request-labels)

## Code of Conduct

[MIT License](https://gitlab.jsc.fz-juelich.de/esde/toar-data/toardb_fastapi/-/blob/master/LICENSE) 

[Readme](https://gitlab.jsc.fz-juelich.de/esde/toar-data/toardb_fastapi/-/blob/master/README.md)

## I don't want to read this whole thing I just have a question!!!

> **Note:** Please don't file an issue to ask a question, instead use the [support channel](support@toar-data.org)

## What should I know before I get started?

> The TOAR database has been developed to contain station-based ground-level measurements of ozone, ozone precursors and meteorological variables including meteorological variables from weather models. The databse schema can be accessed at [https://gitlab.version.fz-juelich.de/esde/toar-data/toardb_fastapi/-/blob/master/toardb_v2_schema.sql](https://gitlab.version.fz-juelich.de/esde/toar-data/toardb_fastapi/-/blob/master/toardb_v2_schema.sql)

> The  TOAR-II FastAPI software is available at [https://gitlab.jsc.fz-juelich.de/esde/toar-data/toardb_fastapi](https://gitlab.jsc.fz-juelich.de/esde/toar-data/toardb_fastapi) with toardb for the database and extension for the controlled vocabulary. 

> The software is written in python.

### Packages

> PostgreSQL database with PostGIS extensions ...

> ....

### Design Decisions

> ....

## How Can I Contribute

> ....

### Reporting Bugs

> ....

### Suggesting Enhancements

> ....


### Your First Code Contribution

> ....

### Contribution Flow

> ....

### Pull Requests

> ....

## Styleguides

> ....

### Git Commit Messages

> ....

### Specs Styleguide

> ....

### Documentation Styleguide

> ....


## Additional Notes

> ....

### Issue and Pull Request Labels

> ....