--
-- toardb/extension/toar_controlled_vocabulary/toar_controlled_vocabulary--0.6.5--0.7.sql
--
-- [Step to install]
--
-- 1. 
--

-- INSTALL VERSION: '0.7'

-- complain if script is sourced in psql, rather than via CREATE EXTENSION
\echo Use "CREATE/ALTER EXTENSION toar_controlled_vocabulary" to load this file. \quit

-- still to do:
-- How to set convoc_schema to result from SELECT:
-- SELECT table_schema INTO convoc_schema FROM information_schema.tables WHERE table_name='df_vocabulary';

SET SCHEMA 'toar_convoc';

-- Update Data
-- ===========

-- Data Flags

INSERT INTO df_vocabulary (enum_val, enum_str, enum_display_str) VALUES (100, 'AllOK', 'all OK');
INSERT INTO df_vocabulary (enum_val, enum_str, enum_display_str) VALUES (101, 'ValidatedOK', 'validated OK');
INSERT INTO df_vocabulary (enum_val, enum_str, enum_display_str) VALUES (102, 'PreliminaryOK', 'preliminary OK');
INSERT INTO df_vocabulary (enum_val, enum_str, enum_display_str) VALUES (103, 'NotModifiedOK', 'not modified OK');
INSERT INTO df_vocabulary (enum_val, enum_str, enum_display_str) VALUES (104, 'ModifiedOK', 'modified OK');
INSERT INTO df_vocabulary (enum_val, enum_str, enum_display_str) VALUES (110, 'AllQuestionable', 'all questionable');
INSERT INTO df_vocabulary (enum_val, enum_str, enum_display_str) VALUES (111, 'ValidatedQuestionable', 'validated questionable');
INSERT INTO df_vocabulary (enum_val, enum_str, enum_display_str) VALUES (112, 'PreliminaryQuestionable', 'preliminary questionable');
INSERT INTO df_vocabulary (enum_val, enum_str, enum_display_str) VALUES (120, 'AllErroneous', 'all erroneous');
INSERT INTO df_vocabulary (enum_val, enum_str, enum_display_str) VALUES (121, 'ValidatedErroneous', 'validated erroneous');
INSERT INTO df_vocabulary (enum_val, enum_str, enum_display_str) VALUES (122, 'PreliminaryErroneous', 'preliminary erroneous');
INSERT INTO df_vocabulary (enum_val, enum_str, enum_display_str) VALUES (130, 'AllQuestionableOrErroneous', 'all questionable or erroneous');
INSERT INTO df_vocabulary (enum_val, enum_str, enum_display_str) VALUES (131, 'ValidatedQuestionableOrErroneous', 'validated questionable or erroneous');
INSERT INTO df_vocabulary (enum_val, enum_str, enum_display_str) VALUES (132, 'PreliminaryQuestionableOrErroneous', 'preliminary questionable or erroneous');
INSERT INTO df_vocabulary (enum_val, enum_str, enum_display_str) VALUES (140, 'NotChecked', 'not checked');

-- Update Roles
-- ============

-- Role Codes

INSERT INTO rc_vocabulary VALUES(6, 'Custodian', 'custodian');

-- Update Timeseries
-- =================

-- Aggregation Types

UPDATE AT_vocabulary SET enum_str='MeanOf2' WHERE enum_str='Mean1Of2';
UPDATE AT_vocabulary SET enum_str='MeanOfWeek' WHERE enum_str='Mean1OfWeek';
UPDATE AT_vocabulary SET enum_str='MeanOf4Samples' WHERE enum_str='Mean4Samples';
UPDATE AT_vocabulary SET enum_str='MeanOfMonth' WHERE enum_str='MeanMonth';

-- Update Stationmeta
-- ==================

-- Station Dominant Landcover Types

UPDATE DL_vocabulary SET enum_display_str='1  (Evergreen Needleleaf forests)' WHERE enum_display_str='1  (Evergreen Needleleaf forest)';
UPDATE DL_vocabulary SET enum_display_str='2  (Evergreen Broadleaf forests)' WHERE enum_display_str='2  (Evergreen Broadleaf forest)';
UPDATE DL_vocabulary SET enum_display_str='3  (Deciduous Needleleaf forests)' WHERE enum_display_str='3  (Deciduous Needleleaf forest)';
UPDATE DL_vocabulary SET enum_display_str='4  (Deciduous Broadleaf forests)' WHERE enum_display_str='4  (Deciduous Broadleaf forest)';
UPDATE DL_vocabulary SET enum_str='MixedForests', enum_display_str='5  (Mixed forests)' WHERE enum_val=5;

