--
-- toardb/extension/toar_controlled_vocabulary/toar_controlled_vocabulary--0.7.2--0.7.3.sql
--
-- [Step to install]
--
-- 1. 
--

-- INSTALL VERSION: '0.7.3'

-- complain if script is sourced in psql, rather than via CREATE EXTENSION
\echo Use "CREATE/ALTER EXTENSION toar_controlled_vocabulary" to load this file. \quit

-- still to do:
-- How to set convoc_schema to result from SELECT:
-- SELECT table_schema INTO convoc_schema FROM information_schema.tables WHERE table_name='df_vocabulary';

SET SCHEMA 'toar_convoc';

-- Update Stationmeta
-- ==================

-- Station Eco Regions
-- see: https://ecoregions2017.appspot.com/

CREATE TABLE IF NOT EXISTS ER_vocabulary (
    enum_val         INT NOT NULL,
    enum_str         character varying(128) NOT NULL, 
    enum_display_str character varying(128) NOT NULL, 
    PRIMARY KEY(enum_val, enum_str),
    CONSTRAINT er_enum_val_unique UNIQUE (enum_val)
);

INSERT INTO ER_vocabulary (enum_val, enum_str, enum_display_str) VALUES
    ( -1, 'Undefined', '-1 (undefined)'),
    (  0, 'RockandIce', '0 (Rock and Ice)'),
    (  1, 'AlbertineRiftmontaneforests', '1 (Albertine Rift montane forests)'),
    (  2, 'CameroonHighlandsforests', '2 (Cameroon Highlands forests)'),
    (  3, 'CentralCongolianlowlandforests', '3 (Central Congolian lowland forests)'),
    (  4, 'Comorosforests', '4 (Comoros forests)'),
    (  5, 'Congoliancoastalforests', '5 (Congolian coastal forests)'),
    (  6, 'CrossNigertransitionforests', '6 (Cross-Niger transition forests)'),
    (  7, 'CrossSanagaBiokocoastalforests', '7 (Cross-Sanaga-Bioko coastal forests)'),
    (  8, 'EastAfricanmontaneforests', '8 (East African montane forests)'),
    (  9, 'EasternArcforests', '9 (Eastern Arc forests)'),
    ( 10, 'EasternCongolianswampforests', '10 (Eastern Congolian swamp forests)'),
    ( 11, 'EasternGuineanforests', '11 (Eastern Guinean forests)'),
    ( 12, 'Ethiopianmontaneforests', '12 (Ethiopian montane forests)'),
    ( 13, 'GraniticSeychellesforests', '13 (Granitic Seychelles forests)'),
    ( 14, 'Guineanmontaneforests', '14 (Guinean montane forests)'),
    ( 15, 'KnysnaAmatolemontaneforests', '15 (Knysna-Amatole montane forests)'),
    ( 16, 'KwazuluNatalCapecoastalforests', '16 (Kwazulu Natal-Cape coastal forests)'),
    ( 17, 'Madagascarhumidforests', '17 (Madagascar humid forests)'),
    ( 18, 'Madagascarsubhumidforests', '18 (Madagascar subhumid forests)'),
    ( 19, 'Maputalandcoastalforestsandwoodlands', '19 (Maputaland coastal forests and woodlands)'),
    ( 20, 'Mascareneforests', '20 (Mascarene forests)'),
    ( 21, 'MountCameroonandBiokomontaneforests', '21 (Mount Cameroon and Bioko montane forests)'),
    ( 22, 'NigerDeltaswampforests', '22 (Niger Delta swamp forests)'),
    ( 23, 'Nigerianlowlandforests', '23 (Nigerian lowland forests)'),
    ( 24, 'NortheastCongolianlowlandforests', '24 (Northeast Congolian lowland forests)'),
    ( 25, 'NorthernSwahilicoastalforests', '25 (Northern Swahili coastal forests)'),
    ( 26, 'NorthwestCongolianlowlandforests', '26 (Northwest Congolian lowland forests)'),
    ( 27, 'SaoTomePrincipeandAnnobonforests', '27 (São Tomé, Príncipe, and Annobón forests)'),
    ( 28, 'SouthernSwahilicoastalforestsandwoodlands', '28 (Southern Swahili coastal forests and woodlands)'),
    ( 29, 'WesternCongolianswampforests', '29 (Western Congolian swamp forests)'),
    ( 30, 'WesternGuineanlowlandforests', '30 (Western Guinean lowland forests)'),
    ( 31, 'CapeVerdeIslandsdryforests', '31 (Cape Verde Islands dry forests)'),
    ( 32, 'Madagascardrydeciduousforests', '32 (Madagascar dry deciduous forests)'),
    ( 33, 'Zambezianevergreendryforests', '33 (Zambezian evergreen dry forests)'),
    ( 34, 'Angolanmopanewoodlands', '34 (Angolan mopane woodlands)'),
    ( 35, 'Angolanscarpsavannaandwoodlands', '35 (Angolan scarp savanna and woodlands)'),
    ( 36, 'Angolanwetmiombowoodlands', '36 (Angolan wet miombo woodlands)'),
    ( 37, 'Ascensionscrubandgrasslands', '37 (Ascension scrub and grasslands)'),
    ( 38, 'Centralbushveld', '38 (Central bushveld)'),
    ( 39, 'CentralZambezianwetmiombowoodlands', '39 (Central Zambezian wet miombo woodlands)'),
    ( 40, 'DrakensbergEscarpmentsavannaandthicket', '40 (Drakensberg Escarpment savanna and thicket)'),
    ( 41, 'Drakensberggrasslands', '41 (Drakensberg grasslands)'),
    ( 42, 'Drymiombowoodlands', '42 (Dry miombo woodlands)'),
    ( 43, 'EastSudaniansavanna', '43 (East Sudanian savanna)'),
    ( 44, 'Guineanforestsavanna', '44 (Guinean forest-savanna)'),
    ( 45, 'HornofAfricaxericbushlands', '45 (Horn of Africa xeric bushlands)'),
    ( 46, 'ItigiSumbuthicket', '46 (Itigi-Sumbu thicket)'),
    ( 47, 'KalahariAcaciawoodlands', '47 (Kalahari Acacia woodlands)'),
    ( 48, 'Limpopolowveld', '48 (Limpopo lowveld)'),
    ( 49, 'MandaraPlateauwoodlands', '49 (Mandara Plateau woodlands)'),
    ( 50, 'Masaixericgrasslandsandshrublands', '50 (Masai xeric grasslands and shrublands)'),
    ( 51, 'NorthernAcaciaCommiphorabushlandsandthickets', '51 (Northern Acacia-Commiphora bushlands and thickets)'),
    ( 52, 'NorthernCongolianForestSavanna', '52 (Northern Congolian Forest-Savanna)'),
    ( 53, 'SahelianAcaciasavanna', '53 (Sahelian Acacia savanna)'),
    ( 54, 'Serengetivolcanicgrasslands', '54 (Serengeti volcanic grasslands)'),
    ( 55, 'SomaliAcaciaCommiphorabushlandsandthickets', '55 (Somali Acacia-Commiphora bushlands and thickets)'),
    ( 56, 'SouthArabianfogwoodlandsshrublandsanddune', '56 (South Arabian fog woodlands, shrublands, and dune)'),
    ( 57, 'SouthernAcaciaCommiphorabushlandsandthickets', '57 (Southern Acacia-Commiphora bushlands and thickets)'),
    ( 58, 'SouthernCongolianforestsavanna', '58 (Southern Congolian forest-savanna)'),
    ( 59, 'SouthwestArabianmontanewoodlandsandgrasslands', '59 (Southwest Arabian montane woodlands and grasslands)'),
    ( 60, 'StHelenascrubandwoodlands', '60 (St. Helena scrub and woodlands)'),
    ( 61, 'VictoriaBasinforestsavanna', '61 (Victoria Basin forest-savanna)'),
    ( 62, 'WestSudaniansavanna', '62 (West Sudanian savanna)'),
    ( 63, 'WesternCongolianforestsavanna', '63 (Western Congolian forest-savanna)'),
    ( 64, 'ZambezianBaikiaeawoodlands', '64 (Zambezian Baikiaea woodlands)'),
    ( 65, 'Zambezianmopanewoodlands', '65 (Zambezian mopane woodlands)'),
    ( 66, 'ZambezianLimpopomixedwoodlands', '66 (Zambezian-Limpopo mixed woodlands)'),
    ( 67, 'AmsterdamSaintPaulIslandstemperategrasslands', '67 (Amsterdam-Saint Paul Islands temperate grasslands)'),
    ( 68, 'TristanDaCunhaGoughIslandsshrubandgrasslands', '68 (Tristan Da Cunha-Gough Islands shrub and grasslands)'),
    ( 69, 'EastAfricanhalophytics', '69 (East African halophytics)'),
    ( 70, 'EtoshaPanhalophytics', '70 (Etosha Pan halophytics)'),
    ( 71, 'InnerNigerDeltafloodedsavanna', '71 (Inner Niger Delta flooded savanna)'),
    ( 72, 'LakeChadfloodedsavanna', '72 (Lake Chad flooded savanna)'),
    ( 73, 'Makgadikgadihalophytics', '73 (Makgadikgadi halophytics)'),
    ( 74, 'Suddfloodedgrasslands', '74 (Sudd flooded grasslands)'),
    ( 75, 'Zambeziancoastalfloodedsavanna', '75 (Zambezian coastal flooded savanna)'),
    ( 76, 'Zambezianfloodedgrasslands', '76 (Zambezian flooded grasslands)'),
    ( 77, 'Angolanmontaneforestgrassland', '77 (Angolan montane forest-grassland)'),
    ( 78, 'EastAfricanmontanemoorlands', '78 (East African montane moorlands)'),
    ( 79, 'Ethiopianmontanegrasslandsandwoodlands', '79 (Ethiopian montane grasslands and woodlands)'),
    ( 80, 'Ethiopianmontanemoorlands', '80 (Ethiopian montane moorlands)'),
    ( 81, 'Highveldgrasslands', '81 (Highveld grasslands)'),
    ( 82, 'JosPlateauforestgrassland', '82 (Jos Plateau forest-grassland)'),
    ( 83, 'Madagascarericoidthickets', '83 (Madagascar ericoid thickets)'),
    ( 84, 'MulanjeMontaneforestgrassland', '84 (Mulanje Montane forest-grassland)'),
    ( 85, 'NyangaChimanimaniMontaneforestgrassland', '85 (Nyanga-Chimanimani Montane forest-grassland)'),
    ( 86, 'RwenzoriVirungamontanemoorlands', '86 (Rwenzori-Virunga montane moorlands)'),
    ( 87, 'SouthernRiftMontaneforestgrassland', '87 (Southern Rift Montane forest-grassland)'),
    ( 88, 'Albanythickets', '88 (Albany thickets)'),
    ( 89, 'Fynbosshrubland', '89 (Fynbos shrubland)'),
    ( 90, 'Renosterveldshrubland', '90 (Renosterveld shrubland)'),
    ( 91, 'AldabraIslandxericscrub', '91 (Aldabra Island xeric scrub)'),
    ( 92, 'Djiboutixericshrublands', '92 (Djibouti xeric shrublands)'),
    ( 93, 'Eritreancoastaldesert', '93 (Eritrean coastal desert)'),
    ( 94, 'GariepKaroo', '94 (Gariep Karoo)'),
    ( 95, 'Hobyograsslandsandshrublands', '95 (Hobyo grasslands and shrublands)'),
    ( 96, 'IleEuropaandBassasdaIndiaxericscrub', '96 (Ile Europa and Bassas da India xeric scrub)'),
    ( 97, 'Kalaharixericsavanna', '97 (Kalahari xeric savanna)'),
    ( 98, 'Kaokovelddesert', '98 (Kaokoveld desert)'),
    ( 99, 'Madagascarspinythickets', '99 (Madagascar spiny thickets)'),
    (100, 'Madagascarsucculentwoodlands', '100 (Madagascar succulent woodlands)'),
    (101, 'NamaKarooshrublands', '101 (Nama Karoo shrublands)'),
    (102, 'NamaqualandRichtersveldsteppe', '102 (Namaqualand-Richtersveld steppe)'),
    (103, 'NamibDesert', '103 (Namib Desert)'),
    (104, 'Namibiansavannawoodlands', '104 (Namibian savanna woodlands)'),
    (105, 'SocotraIslandxericshrublands', '105 (Socotra Island xeric shrublands)'),
    (106, 'Somalimontanexericwoodlands', '106 (Somali montane xeric woodlands)'),
    (107, 'SouthwestArabiancoastalxericshrublands', '107 (Southwest Arabian coastal xeric shrublands)'),
    (108, 'SouthwestArabianEscarpmentshrublandsandwoodlands', '108 (Southwest Arabian Escarpment shrublands and woodlands)'),
    (109, 'SouthwestArabianhighlandxericscrub', '109 (Southwest Arabian highland xeric scrub)'),
    (110, 'SucculentKarooxericshrublands', '110 (Succulent Karoo xeric shrublands)'),
    (111, 'CentralAfricanmangroves', '111 (Central African mangroves)'),
    (112, 'EastAfricanmangroves', '112 (East African mangroves)'),
    (113, 'Guineanmangroves', '113 (Guinean mangroves)'),
    (114, 'Madagascarmangroves', '114 (Madagascar mangroves)'),
    (115, 'RedSeamangroves', '115 (Red Sea mangroves)'),
    (116, 'SouthernAfricamangroves', '116 (Southern Africa mangroves)'),
    (117, 'AdelieLandtundra', '117 (Adelie Land tundra)'),
    (118, 'CentralSouthAntarcticPeninsulatundra', '118 (Central South Antarctic Peninsula tundra)'),
    (119, 'DronningMaudLandtundra', '119 (Dronning Maud Land tundra)'),
    (120, 'EastAntarctictundra', '120 (East Antarctic tundra)'),
    (121, 'EllsworthLandtundra', '121 (Ellsworth Land tundra)'),
    (122, 'EllsworthMountainstundra', '122 (Ellsworth Mountains tundra)'),
    (123, 'EnderbyLandtundra', '123 (Enderby Land tundra)'),
    (124, 'MarieByrdLandtundra', '124 (Marie Byrd Land tundra)'),
    (125, 'NorthVictoriaLandtundra', '125 (North Victoria Land tundra)'),
    (126, 'NortheastAntarcticPeninsulatundra', '126 (Northeast Antarctic Peninsula tundra)'),
    (127, 'NorthwestAntarcticPeninsulatundra', '127 (Northwest Antarctic Peninsula tundra)'),
    (128, 'PrinceCharlesMountainstundra', '128 (Prince Charles Mountains tundra)'),
    (129, 'ScotiaSeaIslandstundra', '129 (Scotia Sea Islands tundra)'),
    (130, 'SouthAntarcticPeninsulatundra', '130 (South Antarctic Peninsula tundra)'),
    (131, 'SouthOrkneyIslandstundra', '131 (South Orkney Islands tundra)'),
    (132, 'SouthVictoriaLandtundra', '132 (South Victoria Land tundra)'),
    (133, 'SouthernIndianOceanIslandstundra', '133 (Southern Indian Ocean Islands tundra)'),
    (134, 'TransantarcticMountainstundra', '134 (Transantarctic Mountains tundra)'),
    (135, 'AdmiraltyIslandslowlandrainforests', '135 (Admiralty Islands lowland rain forests)'),
    (136, 'BandaSeaIslandsmoistdeciduousforests', '136 (Banda Sea Islands moist deciduous forests)'),
    (137, 'BiakNumfoorrainforests', '137 (Biak-Numfoor rain forests)'),
    (138, 'Bururainforests', '138 (Buru rain forests)'),
    (139, 'CentralRangePapuanmontanerainforests', '139 (Central Range Papuan montane rain forests)'),
    (140, 'Halmaherarainforests', '140 (Halmahera rain forests)'),
    (141, 'HuonPeninsulamontanerainforests', '141 (Huon Peninsula montane rain forests)'),
    (142, 'LordHoweIslandsubtropicalforests', '142 (Lord Howe Island subtropical forests)'),
    (143, 'LouisiadeArchipelagorainforests', '143 (Louisiade Archipelago rain forests)'),
    (144, 'NewBritainNewIrelandlowlandrainforests', '144 (New Britain-New Ireland lowland rain forests)'),
    (145, 'NewBritainNewIrelandmontanerainforests', '145 (New Britain-New Ireland montane rain forests)'),
    (146, 'NewCaledoniarainforests', '146 (New Caledonia rain forests)'),
    (147, 'NorfolkIslandsubtropicalforests', '147 (Norfolk Island subtropical forests)'),
    (148, 'NorthernNewGuinealowlandrainandfreshwaterswampforests', '148 (Northern New Guinea lowland rain and freshwater swamp forests)'),
    (149, 'NorthernNewGuineamontanerainforests', '149 (Northern New Guinea montane rain forests)'),
    (150, 'Queenslandtropicalrainforests', '150 (Queensland tropical rain forests)'),
    (151, 'Seramrainforests', '151 (Seram rain forests)'),
    (152, 'SolomonIslandsrainforests', '152 (Solomon Islands rain forests)'),
    (153, 'SoutheastPapuanrainforests', '153 (Southeast Papuan rain forests)'),
    (154, 'SouthernNewGuineafreshwaterswampforests', '154 (Southern New Guinea freshwater swamp forests)'),
    (155, 'SouthernNewGuinealowlandrainforests', '155 (Southern New Guinea lowland rain forests)'),
    (156, 'Sulawesilowlandrainforests', '156 (Sulawesi lowland rain forests)'),
    (157, 'Sulawesimontanerainforests', '157 (Sulawesi montane rain forests)'),
    (158, 'TrobriandIslandsrainforests', '158 (Trobriand Islands rain forests)'),
    (159, 'Vanuaturainforests', '159 (Vanuatu rain forests)'),
    (160, 'Vogelkopmontanerainforests', '160 (Vogelkop montane rain forests)'),
    (161, 'VogelkopArulowlandrainforests', '161 (Vogelkop-Aru lowland rain forests)'),
    (162, 'Yapenrainforests', '162 (Yapen rain forests)'),
    (163, 'LesserSundasdeciduousforests', '163 (Lesser Sundas deciduous forests)'),
    (164, 'NewCaledoniadryforests', '164 (New Caledonia dry forests)'),
    (165, 'Sumbadeciduousforests', '165 (Sumba deciduous forests)'),
    (166, 'TimorandWetardeciduousforests', '166 (Timor and Wetar deciduous forests)'),
    (167, 'ChathamIslandtemperateforests', '167 (Chatham Island temperate forests)'),
    (168, 'EasternAustraliantemperateforests', '168 (Eastern Australian temperate forests)'),
    (169, 'Fiordlandtemperateforests', '169 (Fiordland temperate forests)'),
    (170, 'NelsonCoasttemperateforests', '170 (Nelson Coast temperate forests)'),
    (171, 'NewZealandNorthIslandtemperateforests', '171 (New Zealand North Island temperate forests)'),
    (172, 'NewZealandSouthIslandtemperateforests', '172 (New Zealand South Island temperate forests)'),
    (173, 'Northlandtemperatekauriforests', '173 (Northland temperate kauri forests)'),
    (174, 'RakiuraIslandtemperateforests', '174 (Rakiura Island temperate forests)'),
    (175, 'Richmondtemperateforests', '175 (Richmond temperate forests)'),
    (176, 'SoutheastAustraliatemperateforests', '176 (Southeast Australia temperate forests)'),
    (177, 'TasmanianCentralHighlandforests', '177 (Tasmanian Central Highland forests)'),
    (178, 'Tasmaniantemperateforests', '178 (Tasmanian temperate forests)'),
    (179, 'Tasmaniantemperaterainforests', '179 (Tasmanian temperate rain forests)'),
    (180, 'Westlandtemperateforests', '180 (Westland temperate forests)'),
    (181, 'ArnhemLandtropicalsavanna', '181 (Arnhem Land tropical savanna)'),
    (182, 'Brigalowtropicalsavanna', '182 (Brigalow tropical savanna)'),
    (183, 'CapeYorkPeninsulatropicalsavanna', '183 (Cape York Peninsula tropical savanna)'),
    (184, 'Carpentariatropicalsavanna', '184 (Carpentaria tropical savanna)'),
    (185, 'Einasleighuplandsavanna', '185 (Einasleigh upland savanna)'),
    (186, 'Kimberlytropicalsavanna', '186 (Kimberly tropical savanna)'),
    (187, 'MitchellGrassDowns', '187 (Mitchell Grass Downs)'),
    (188, 'TransFlysavannaandgrasslands', '188 (Trans Fly savanna and grasslands)'),
    (189, 'VictoriaPlainstropicalsavanna', '189 (Victoria Plains tropical savanna)'),
    (190, 'CanterburyOtagotussockgrasslands', '190 (Canterbury-Otago tussock grasslands)'),
    (191, 'EasternAustraliamulgashrublands', '191 (Eastern Australia mulga shrublands)'),
    (192, 'SoutheastAustraliatemperatesavanna', '192 (Southeast Australia temperate savanna)'),
    (193, 'AustralianAlpsmontanegrasslands', '193 (Australian Alps montane grasslands)'),
    (194, 'NewZealandSouthIslandmontanegrasslands', '194 (New Zealand South Island montane grasslands)'),
    (195, 'PapuanCentralRangesubalpinegrasslands', '195 (Papuan Central Range sub-alpine grasslands)'),
    (196, 'AntipodesSubantarcticIslandstundra', '196 (Antipodes Subantarctic Islands tundra)'),
    (197, 'Coolgardiewoodlands', '197 (Coolgardie woodlands)'),
    (198, 'Esperancemallee', '198 (Esperance mallee)'),
    (199, 'EyreandYorkmallee', '199 (Eyre and York mallee)'),
    (200, 'FlindersLoftymontanewoodlands', '200 (Flinders-Lofty montane woodlands)'),
    (201, 'Hamptonmalleeandwoodlands', '201 (Hampton mallee and woodlands)'),
    (202, 'JarrahKarriforestandshrublands', '202 (Jarrah-Karri forest and shrublands)'),
    (203, 'MurrayDarlingwoodlandsandmallee', '203 (Murray-Darling woodlands and mallee)'),
    (204, 'Naracoortewoodlands', '204 (Naracoorte woodlands)'),
    (205, 'SouthwestAustraliasavanna', '205 (Southwest Australia savanna)'),
    (206, 'SouthwestAustraliawoodlands', '206 (Southwest Australia woodlands)'),
    (207, 'Carnarvonxericshrublands', '207 (Carnarvon xeric shrublands)'),
    (208, 'CentralRangesxericscrub', '208 (Central Ranges xeric scrub)'),
    (209, 'Gibsondesert', '209 (Gibson desert)'),
    (210, 'GreatSandyTanamidesert', '210 (Great Sandy-Tanami desert)'),
    (211, 'GreatVictoriadesert', '211 (Great Victoria desert)'),
    (212, 'NullarborPlainsxericshrublands', '212 (Nullarbor Plains xeric shrublands)'),
    (213, 'Pilbarashrublands', '213 (Pilbara shrublands)'),
    (214, 'Simpsondesert', '214 (Simpson desert)'),
    (215, 'TirariSturtstonydesert', '215 (Tirari-Sturt stony desert)'),
    (216, 'WesternAustralianMulgashrublands', '216 (Western Australian Mulga shrublands)'),
    (217, 'NewGuineamangroves', '217 (New Guinea mangroves)'),
    (218, 'AndamanIslandsrainforests', '218 (Andaman Islands rain forests)'),
    (219, 'Borneolowlandrainforests', '219 (Borneo lowland rain forests)'),
    (220, 'Borneomontanerainforests', '220 (Borneo montane rain forests)'),
    (221, 'Borneopeatswampforests', '221 (Borneo peat swamp forests)'),
    (222, 'BrahmaputraValleysemievergreenforests', '222 (Brahmaputra Valley semi-evergreen forests)'),
    (223, 'CardamomMountainsrainforests', '223 (Cardamom Mountains rain forests)'),
    (224, 'ChaoPhrayafreshwaterswampforests', '224 (Chao Phraya freshwater swamp forests)'),
    (225, 'ChaoPhrayalowlandmoistdeciduousforests', '225 (Chao Phraya lowland moist deciduous forests)'),
    (226, 'ChinHillsArakanYomamontaneforests', '226 (Chin Hills-Arakan Yoma montane forests)'),
    (227, 'ChristmasandCocosIslandstropicalforests', '227 (Christmas and Cocos Islands tropical forests)'),
    (228, 'EastDeccanmoistdeciduousforests', '228 (East Deccan moist deciduous forests)'),
    (229, 'EasternJavaBalimontanerainforests', '229 (Eastern Java-Bali montane rain forests)'),
    (230, 'EasternJavaBalirainforests', '230 (Eastern Java-Bali rain forests)'),
    (231, 'GreaterNegrosPanayrainforests', '231 (Greater Negros-Panay rain forests)'),
    (232, 'HainanIslandmonsoonrainforests', '232 (Hainan Island monsoon rain forests)'),
    (233, 'Himalayansubtropicalbroadleafforests', '233 (Himalayan subtropical broadleaf forests)'),
    (234, 'Irrawaddyfreshwaterswampforests', '234 (Irrawaddy freshwater swamp forests)'),
    (235, 'Irrawaddymoistdeciduousforests', '235 (Irrawaddy moist deciduous forests)'),
    (236, 'JianNansubtropicalevergreenforests', '236 (Jian Nan subtropical evergreen forests)'),
    (237, 'KayahKarenmontanerainforests', '237 (Kayah-Karen montane rain forests)'),
    (238, 'LowerGangeticPlainsmoistdeciduousforests', '238 (Lower Gangetic Plains moist deciduous forests)'),
    (239, 'LuangPrabangmontanerainforests', '239 (Luang Prabang montane rain forests)'),
    (240, 'Luzonmontanerainforests', '240 (Luzon montane rain forests)'),
    (241, 'Luzonrainforests', '241 (Luzon rain forests)'),
    (242, 'MalabarCoastmoistforests', '242 (Malabar Coast moist forests)'),
    (243, 'MaldivesLakshadweepChagosArchipelagotropicalmoistforests', '243 (Maldives-Lakshadweep-Chagos Archipelago tropical moist forests)'),
    (244, 'Meghalayasubtropicalforests', '244 (Meghalaya subtropical forests)'),
    (245, 'MentawaiIslandsrainforests', '245 (Mentawai Islands rain forests)'),
    (246, 'Mindanaomontanerainforests', '246 (Mindanao montane rain forests)'),
    (247, 'MindanaoEasternVisayasrainforests', '247 (Mindanao-Eastern Visayas rain forests)'),
    (248, 'Mindororainforests', '248 (Mindoro rain forests)'),
    (249, 'MizoramManipurKachinrainforests', '249 (Mizoram-Manipur-Kachin rain forests)'),
    (250, 'Myanmarcoastalrainforests', '250 (Myanmar coastal rain forests)'),
    (251, 'NanseiIslandssubtropicalevergreenforests', '251 (Nansei Islands subtropical evergreen forests)'),
    (252, 'NicobarIslandsrainforests', '252 (Nicobar Islands rain forests)'),
    (253, 'NorthWesternGhatsmoistdeciduousforests', '253 (North Western Ghats moist deciduous forests)'),
    (254, 'NorthWesternGhatsmontanerainforests', '254 (North Western Ghats montane rain forests)'),
    (255, 'NorthernAnnamitesrainforests', '255 (Northern Annamites rain forests)'),
    (256, 'NorthernIndochinasubtropicalforests', '256 (Northern Indochina subtropical forests)'),
    (257, 'NorthernKhoratPlateaumoistdeciduousforests', '257 (Northern Khorat Plateau moist deciduous forests)'),
    (258, 'NorthernThailandLaosmoistdeciduousforests', '258 (Northern Thailand-Laos moist deciduous forests)'),
    (259, 'NorthernTrianglesubtropicalforests', '259 (Northern Triangle subtropical forests)'),
    (260, 'NorthernVietnamlowlandrainforests', '260 (Northern Vietnam lowland rain forests)'),
    (261, 'Orissasemievergreenforests', '261 (Orissa semi-evergreen forests)'),
    (262, 'Palawanrainforests', '262 (Palawan rain forests)'),
    (263, 'PeninsularMalaysianmontanerainforests', '263 (Peninsular Malaysian montane rain forests)'),
    (264, 'PeninsularMalaysianpeatswampforests', '264 (Peninsular Malaysian peat swamp forests)'),
    (265, 'PeninsularMalaysianrainforests', '265 (Peninsular Malaysian rain forests)'),
    (266, 'RedRiverfreshwaterswampforests', '266 (Red River freshwater swamp forests)'),
    (267, 'SouthChinaSeaIslands', '267 (South China Sea Islands)'),
    (268, 'SouthChinaVietnamsubtropicalevergreenforests', '268 (South China-Vietnam subtropical evergreen forests)'),
    (269, 'SouthTaiwanmonsoonrainforests', '269 (South Taiwan monsoon rain forests)'),
    (270, 'SouthWesternGhatsmoistdeciduousforests', '270 (South Western Ghats moist deciduous forests)'),
    (271, 'SouthWesternGhatsmontanerainforests', '271 (South Western Ghats montane rain forests)'),
    (272, 'SouthernAnnamitesmontanerainforests', '272 (Southern Annamites montane rain forests)'),
    (273, 'SouthwestBorneofreshwaterswampforests', '273 (Southwest Borneo freshwater swamp forests)'),
    (274, 'SriLankalowlandrainforests', '274 (Sri Lanka lowland rain forests)'),
    (275, 'SriLankamontanerainforests', '275 (Sri Lanka montane rain forests)'),
    (276, 'SuluArchipelagorainforests', '276 (Sulu Archipelago rain forests)'),
    (277, 'Sumatranfreshwaterswampforests', '277 (Sumatran freshwater swamp forests)'),
    (278, 'Sumatranlowlandrainforests', '278 (Sumatran lowland rain forests)'),
    (279, 'Sumatranmontanerainforests', '279 (Sumatran montane rain forests)'),
    (280, 'Sumatranpeatswampforests', '280 (Sumatran peat swamp forests)'),
    (281, 'Sundalandheathforests', '281 (Sundaland heath forests)'),
    (282, 'Sundarbansfreshwaterswampforests', '282 (Sundarbans freshwater swamp forests)'),
    (283, 'Taiwansubtropicalevergreenforests', '283 (Taiwan subtropical evergreen forests)'),
    (284, 'TenasserimSouthThailandsemievergreenrainforests', '284 (Tenasserim-South Thailand semi-evergreen rain forests)'),
    (285, 'TonleSapfreshwaterswampforests', '285 (Tonle Sap freshwater swamp forests)'),
    (286, 'TonleSapMekongpeatswampforests', '286 (Tonle Sap-Mekong peat swamp forests)'),
    (287, 'UpperGangeticPlainsmoistdeciduousforests', '287 (Upper Gangetic Plains moist deciduous forests)'),
    (288, 'WesternJavamontanerainforests', '288 (Western Java montane rain forests)'),
    (289, 'WesternJavarainforests', '289 (Western Java rain forests)'),
    (290, 'CentralDeccanPlateaudrydeciduousforests', '290 (Central Deccan Plateau dry deciduous forests)'),
    (291, 'CentralIndochinadryforests', '291 (Central Indochina dry forests)'),
    (292, 'ChhotaNagpurdrydeciduousforests', '292 (Chhota-Nagpur dry deciduous forests)'),
    (293, 'EastDeccandryevergreenforests', '293 (East Deccan dry-evergreen forests)'),
    (294, 'Irrawaddydryforests', '294 (Irrawaddy dry forests)'),
    (295, 'KhathiarGirdrydeciduousforests', '295 (Khathiar-Gir dry deciduous forests)'),
    (296, 'NarmadaValleydrydeciduousforests', '296 (Narmada Valley dry deciduous forests)'),
    (297, 'NorthDeccandrydeciduousforests', '297 (North Deccan dry deciduous forests)'),
    (298, 'SouthDeccanPlateaudrydeciduousforests', '298 (South Deccan Plateau dry deciduous forests)'),
    (299, 'SoutheastIndochinadryevergreenforests', '299 (Southeast Indochina dry evergreen forests)'),
    (300, 'SouthernVietnamlowlanddryforests', '300 (Southern Vietnam lowland dry forests)'),
    (301, 'SriLankadryzonedryevergreenforests', '301 (Sri Lanka dry-zone dry evergreen forests)'),
    (302, 'Himalayansubtropicalpineforests', '302 (Himalayan subtropical pine forests)'),
    (303, 'Luzontropicalpineforests', '303 (Luzon tropical pine forests)'),
    (304, 'NortheastIndiaMyanmarpineforests', '304 (Northeast India-Myanmar pine forests)'),
    (305, 'Sumatrantropicalpineforests', '305 (Sumatran tropical pine forests)'),
    (306, 'EasternHimalayanbroadleafforests', '306 (Eastern Himalayan broadleaf forests)'),
    (307, 'NorthernTriangletemperateforests', '307 (Northern Triangle temperate forests)'),
    (308, 'WesternHimalayanbroadleafforests', '308 (Western Himalayan broadleaf forests)'),
    (309, 'EasternHimalayansubalpineconiferforests', '309 (Eastern Himalayan subalpine conifer forests)'),
    (310, 'WesternHimalayansubalpineconiferforests', '310 (Western Himalayan subalpine conifer forests)'),
    (311, 'TeraiDuarsavannaandgrasslands', '311 (Terai-Duar savanna and grasslands)'),
    (312, 'RannofKutchseasonalsaltmarsh', '312 (Rann of Kutch seasonal salt marsh)'),
    (313, 'Kinabalumontanealpinemeadows', '313 (Kinabalu montane alpine meadows)'),
    (314, 'Aravalliwestthornscrubforests', '314 (Aravalli west thorn scrub forests)'),
    (315, 'Deccanthornscrubforests', '315 (Deccan thorn scrub forests)'),
    (316, 'GodavariKrishnamangroves', '316 (Godavari-Krishna mangroves)'),
    (317, 'IndusValleydesert', '317 (Indus Valley desert)'),
    (318, 'Thardesert', '318 (Thar desert)'),
    (319, 'Indochinamangroves', '319 (Indochina mangroves)'),
    (320, 'IndusRiverDeltaArabianSeamangroves', '320 (Indus River Delta-Arabian Sea mangroves)'),
    (321, 'MyanmarCoastmangroves', '321 (Myanmar Coast mangroves)'),
    (322, 'SundaShelfmangroves', '322 (Sunda Shelf mangroves)'),
    (323, 'Sundarbansmangroves', '323 (Sundarbans mangroves)'),
    (324, 'SonoranSinaloansubtropicaldryforest', '324 (Sonoran-Sinaloan subtropical dry forest)'),
    (325, 'Bermudasubtropicalconiferforests', '325 (Bermuda subtropical conifer forests)'),
    (326, 'SierraMadreOccidentalpineoakforests', '326 (Sierra Madre Occidental pine-oak forests)'),
    (327, 'SierraMadreOrientalpineoakforests', '327 (Sierra Madre Oriental pine-oak forests)'),
    (328, 'AlleghenyHighlandsforests', '328 (Allegheny Highlands forests)'),
    (329, 'Appalachianmixedmesophyticforests', '329 (Appalachian mixed mesophytic forests)'),
    (330, 'AppalachianPiedmontforests', '330 (Appalachian Piedmont forests)'),
    (331, 'AppalachianBlueRidgeforests', '331 (Appalachian-Blue Ridge forests)'),
    (332, 'EastCentralTexasforests', '332 (East Central Texas forests)'),
    (333, 'EasternCanadianForestBorealtransition', '333 (Eastern Canadian Forest-Boreal transition)'),
    (334, 'EasternGreatLakeslowlandforests', '334 (Eastern Great Lakes lowland forests)'),
    (335, 'GulfofStLawrencelowlandforests', '335 (Gulf of St. Lawrence lowland forests)'),
    (336, 'InteriorPlateauUSHardwoodForests', '336 (Interior Plateau US Hardwood Forests)'),
    (337, 'Mississippilowlandforests', '337 (Mississippi lowland forests)'),
    (338, 'NewEnglandAcadianforests', '338 (New England-Acadian forests)'),
    (339, 'NortheastUSCoastalforests', '339 (Northeast US Coastal forests)'),
    (340, 'OzarkHighlandsmixedforests', '340 (Ozark Highlands mixed forests)'),
    (341, 'OzarkMountainforests', '341 (Ozark Mountain forests)'),
    (342, 'SouthernGreatLakesforests', '342 (Southern Great Lakes forests)'),
    (343, 'UpperMidwestUSforestsavannatransition', '343 (Upper Midwest US forest-savanna transition)'),
    (344, 'WesternGreatLakesforests', '344 (Western Great Lakes forests)'),
    (345, 'AlbertaBritishColumbiafoothillsforests', '345 (Alberta-British Columbia foothills forests)'),
    (346, 'ArizonaMountainsforests', '346 (Arizona Mountains forests)'),
    (347, 'Atlanticcoastalpinebarrens', '347 (Atlantic coastal pine barrens)'),
    (348, 'BlueMountainsforests', '348 (Blue Mountains forests)'),
    (349, 'BritishColumbiacoastalconiferforests', '349 (British Columbia coastal conifer forests)'),
    (350, 'CentralBritishColumbiaMountainforests', '350 (Central British Columbia Mountain forests)'),
    (351, 'CentralPacificNorthwestcoastalforests', '351 (Central Pacific Northwest coastal forests)'),
    (352, 'CentralSouthernCascadesForests', '352 (Central-Southern Cascades Forests)'),
    (353, 'ColoradoRockiesforests', '353 (Colorado Rockies forests)'),
    (354, 'EasternCascadesforests', '354 (Eastern Cascades forests)'),
    (355, 'FraserPlateauandBasinconiferforests', '355 (Fraser Plateau and Basin conifer forests)'),
    (356, 'GreatBasinmontaneforests', '356 (Great Basin montane forests)'),
    (357, 'KlamathSiskiyouforests', '357 (Klamath-Siskiyou forests)'),
    (358, 'NorthCascadesconiferforests', '358 (North Cascades conifer forests)'),
    (359, 'NorthernCaliforniacoastalforests', '359 (Northern California coastal forests)'),
    (360, 'NorthernPacificAlaskancoastalforests', '360 (Northern Pacific Alaskan coastal forests)'),
    (361, 'NorthernRockiesconiferforests', '361 (Northern Rockies conifer forests)'),
    (362, 'Okanogandryforests', '362 (Okanogan dry forests)'),
    (363, 'PineyWoods', '363 (Piney Woods)'),
    (364, 'Pugetlowlandforests', '364 (Puget lowland forests)'),
    (365, 'QueenCharlotteIslandsconiferforests', '365 (Queen Charlotte Islands conifer forests)'),
    (366, 'SierraNevadaforests', '366 (Sierra Nevada forests)'),
    (367, 'SouthCentralRockiesforests', '367 (South Central Rockies forests)'),
    (368, 'WasatchandUintamontaneforests', '368 (Wasatch and Uinta montane forests)'),
    (369, 'AlaskaPeninsulamontanetaiga', '369 (Alaska Peninsula montane taiga)'),
    (370, 'CentralCanadianShieldforests', '370 (Central Canadian Shield forests)'),
    (371, 'CookInlettaiga', '371 (Cook Inlet taiga)'),
    (372, 'CopperPlateautaiga', '372 (Copper Plateau taiga)'),
    (373, 'EasternCanadianforests', '373 (Eastern Canadian forests)'),
    (374, 'EasternCanadianShieldtaiga', '374 (Eastern Canadian Shield taiga)'),
    (375, 'InteriorAlaskaYukonlowlandtaiga', '375 (Interior Alaska-Yukon lowland taiga)'),
    (376, 'MidCanadaBorealPlainsforests', '376 (Mid-Canada Boreal Plains forests)'),
    (377, 'MidwestCanadianShieldforests', '377 (Midwest Canadian Shield forests)'),
    (378, 'MuskwaSlaveLaketaiga', '378 (Muskwa-Slave Lake taiga)'),
    (379, 'NorthernCanadianShieldtaiga', '379 (Northern Canadian Shield taiga)'),
    (380, 'NorthernCordilleraforests', '380 (Northern Cordillera forests)'),
    (381, 'NorthwestTerritoriestaiga', '381 (Northwest Territories taiga)'),
    (382, 'SouthernHudsonBaytaiga', '382 (Southern Hudson Bay taiga)'),
    (383, 'WatsonHighlandstaiga', '383 (Watson Highlands taiga)'),
    (384, 'WesternGulfcoastalgrasslands', '384 (Western Gulf coastal grasslands)'),
    (385, 'CaliforniaCentralValleygrasslands', '385 (California Central Valley grasslands)'),
    (386, 'CanadianAspenforestsandparklands', '386 (Canadian Aspen forests and parklands)'),
    (387, 'CentralUSforestgrasslandstransition', '387 (Central US forest-grasslands transition)'),
    (388, 'CentralTallgrassprairie', '388 (Central Tallgrass prairie)'),
    (389, 'CentralSouthernUSmixedgrasslands', '389 (Central-Southern US mixed grasslands)'),
    (390, 'CrossTimberssavannawoodland', '390 (Cross-Timbers savanna-woodland)'),
    (391, 'EdwardsPlateausavanna', '391 (Edwards Plateau savanna)'),
    (392, 'FlintHillstallgrassprairie', '392 (Flint Hills tallgrass prairie)'),
    (393, 'MidAtlanticUScoastalsavannas', '393 (Mid-Atlantic US coastal savannas)'),
    (394, 'MontanaValleyandFoothillgrasslands', '394 (Montana Valley and Foothill grasslands)'),
    (395, 'NebraskaSandHillsmixedgrasslands', '395 (Nebraska Sand Hills mixed grasslands)'),
    (396, 'NorthernShortgrassprairie', '396 (Northern Shortgrass prairie)'),
    (397, 'NorthernTallgrassprairie', '397 (Northern Tallgrass prairie)'),
    (398, 'Palouseprairie', '398 (Palouse prairie)'),
    (399, 'SoutheastUSconifersavannas', '399 (Southeast US conifer savannas)'),
    (400, 'SoutheastUSmixedwoodlandsandsavannas', '400 (Southeast US mixed woodlands and savannas)'),
    (401, 'Texasblacklandprairies', '401 (Texas blackland prairies)'),
    (402, 'Westernshortgrassprairie', '402 (Western shortgrass prairie)'),
    (403, 'WillametteValleyoaksavanna', '403 (Willamette Valley oak savanna)'),
    (404, 'AhklunandKilbuckUplandTundra', '404 (Ahklun and Kilbuck Upland Tundra)'),
    (405, 'AlaskaStEliasRangetundra', '405 (Alaska-St. Elias Range tundra)'),
    (406, 'AleutianIslandstundra', '406 (Aleutian Islands tundra)'),
    (407, 'Arcticcoastaltundra', '407 (Arctic coastal tundra)'),
    (408, 'Arcticfoothillstundra', '408 (Arctic foothills tundra)'),
    (409, 'Beringialowlandtundra', '409 (Beringia lowland tundra)'),
    (410, 'Beringiauplandtundra', '410 (Beringia upland tundra)'),
    (411, 'BrooksBritishRangetundra', '411 (Brooks-British Range tundra)'),
    (412, 'CanadianHighArctictundra', '412 (Canadian High Arctic tundra)'),
    (413, 'CanadianLowArctictundra', '413 (Canadian Low Arctic tundra)'),
    (414, 'CanadianMiddleArcticTundra', '414 (Canadian Middle Arctic Tundra)'),
    (415, 'DavisHighlandstundra', '415 (Davis Highlands tundra)'),
    (416, 'InteriorYukonAlaskaalpinetundra', '416 (Interior Yukon-Alaska alpine tundra)'),
    (417, 'KalaallitNunaatArcticsteppe', '417 (Kalaallit Nunaat Arctic steppe)'),
    (418, 'KalaallitNunaatHighArctictundra', '418 (Kalaallit Nunaat High Arctic tundra)'),
    (419, 'OgilvieMacKenziealpinetundra', '419 (Ogilvie-MacKenzie alpine tundra)'),
    (420, 'PacificCoastalMountainicefieldsandtundra', '420 (Pacific Coastal Mountain icefields and tundra)'),
    (421, 'TorngatMountaintundra', '421 (Torngat Mountain tundra)'),
    (422, 'Californiacoastalsageandchaparral', '422 (California coastal sage and chaparral)'),
    (423, 'Californiainteriorchaparralandwoodlands', '423 (California interior chaparral and woodlands)'),
    (424, 'Californiamontanechaparralandwoodlands', '424 (California montane chaparral and woodlands)'),
    (425, 'SantaLuciaMontaneChaparralAndWoodlands', '425 (Santa Lucia Montane Chaparral & Woodlands)'),
    (426, 'BajaCaliforniadesert', '426 (Baja California desert)'),
    (427, 'CentralMexicanmatorral', '427 (Central Mexican matorral)'),
    (428, 'Chihuahuandesert', '428 (Chihuahuan desert)'),
    (429, 'ColoradoPlateaushrublands', '429 (Colorado Plateau shrublands)'),
    (430, 'GreatBasinshrubsteppe', '430 (Great Basin shrub steppe)'),
    (431, 'GulfofCaliforniaxericscrub', '431 (Gulf of California xeric scrub)'),
    (432, 'MesetaCentralmatorral', '432 (Meseta Central matorral)'),
    (433, 'Mojavedesert', '433 (Mojave desert)'),
    (434, 'SnakeColumbiashrubsteppe', '434 (Snake-Columbia shrub steppe)'),
    (435, 'Sonorandesert', '435 (Sonoran desert)'),
    (436, 'Tamaulipanmatorral', '436 (Tamaulipan matorral)'),
    (437, 'Tamaulipanmezquital', '437 (Tamaulipan mezquital)'),
    (438, 'WyomingBasinshrubsteppe', '438 (Wyoming Basin shrub steppe)'),
    (439, 'AltoParanaAtlanticforests', '439 (Alto Paraná Atlantic forests)'),
    (440, 'Araucariamoistforests', '440 (Araucaria moist forests)'),
    (441, 'AtlanticCoastrestingas', '441 (Atlantic Coast restingas)'),
    (442, 'Bahiacoastalforests', '442 (Bahia coastal forests)'),
    (443, 'Bahiainteriorforests', '443 (Bahia interior forests)'),
    (444, 'BolivianYungas', '444 (Bolivian Yungas)'),
    (445, 'CaatingaEnclavesmoistforests', '445 (Caatinga Enclaves moist forests)'),
    (446, 'Caquetamoistforests', '446 (Caqueta moist forests)'),
    (447, 'Catatumbomoistforests', '447 (Catatumbo moist forests)'),
    (448, 'CaucaValleymontaneforests', '448 (Cauca Valley montane forests)'),
    (449, 'CayosMiskitosSanAndresandProvidenciamoistforests', '449 (Cayos Miskitos-San Andrés and Providencia moist forests)'),
    (450, 'CentralAmericanAtlanticmoistforests', '450 (Central American Atlantic moist forests)'),
    (451, 'CentralAmericanmontaneforests', '451 (Central American montane forests)'),
    (452, 'Chiapasmontaneforests', '452 (Chiapas montane forests)'),
    (453, 'Chimalapasmontaneforests', '453 (Chimalapas montane forests)'),
    (454, 'ChocoDarienmoistforests', '454 (Chocó-Darién moist forests)'),
    (455, 'CocosIslandmoistforests', '455 (Cocos Island moist forests)'),
    (456, 'CordilleraLaCostamontaneforests', '456 (Cordillera La Costa montane forests)'),
    (457, 'CordilleraOrientalmontaneforests', '457 (Cordillera Oriental montane forests)'),
    (458, 'CostaRicanseasonalmoistforests', '458 (Costa Rican seasonal moist forests)'),
    (459, 'Cubanmoistforests', '459 (Cuban moist forests)'),
    (460, 'EasternCordilleraRealmontaneforests', '460 (Eastern Cordillera Real montane forests)'),
    (461, 'EasternPanamanianmontaneforests', '461 (Eastern Panamanian montane forests)'),
    (462, 'FernandodeNoronhaAtoldasRocasmoistforests', '462 (Fernando de Noronha-Atol das Rocas moist forests)'),
    (463, 'Guiananfreshwaterswampforests', '463 (Guianan freshwater swamp forests)'),
    (464, 'GuiananHighlandsmoistforests', '464 (Guianan Highlands moist forests)'),
    (465, 'Guiananlowlandmoistforests', '465 (Guianan lowland moist forests)'),
    (466, 'Guiananpiedmontmoistforests', '466 (Guianan piedmont moist forests)'),
    (467, 'Gurupavarzea', '467 (Gurupa várzea)'),
    (468, 'Hispaniolanmoistforests', '468 (Hispaniolan moist forests)'),
    (469, 'Iquitosvarzea', '469 (Iquitos várzea)'),
    (470, 'IsthmianAtlanticmoistforests', '470 (Isthmian-Atlantic moist forests)'),
    (471, 'IsthmianPacificmoistforests', '471 (Isthmian-Pacific moist forests)'),
    (472, 'Jamaicanmoistforests', '472 (Jamaican moist forests)'),
    (473, 'JapuraSolimoesNegromoistforests', '473 (Japurá-Solimões-Negro moist forests)'),
    (474, 'JuruaPurusmoistforests', '474 (Juruá-Purus moist forests)'),
    (475, 'LeewardIslandsmoistforests', '475 (Leeward Islands moist forests)'),
    (476, 'MadeiraTapajosmoistforests', '476 (Madeira-Tapajós moist forests)'),
    (477, 'MagdalenaValleymontaneforests', '477 (Magdalena Valley montane forests)'),
    (478, 'MagdalenaUrabamoistforests', '478 (Magdalena-Urabá moist forests)'),
    (479, 'Maranondryforests', '479 (Marañón dry forests)'),
    (480, 'Marajovarzea', '480 (Marajó várzea)'),
    (481, 'MatoGrossotropicaldryforests', '481 (Mato Grosso tropical dry forests)'),
    (482, 'MonteAlegrevarzea', '482 (Monte Alegre várzea)'),
    (483, 'Napomoistforests', '483 (Napo moist forests)'),
    (484, 'NegroBrancomoistforests', '484 (Negro-Branco moist forests)'),
    (485, 'NortheastBrazilrestingas', '485 (Northeast Brazil restingas)'),
    (486, 'NorthwestAndeanmontaneforests', '486 (Northwest Andean montane forests)'),
    (487, 'Oaxacanmontaneforests', '487 (Oaxacan montane forests)'),
    (488, 'OrinocoDeltaswampforests', '488 (Orinoco Delta swamp forests)'),
    (489, 'PantanosdeCentla', '489 (Pantanos de Centla)'),
    (490, 'PantepuiforestsAndshrublands', '490 (Pantepui forests & shrublands)'),
    (491, 'Pernambucocoastalforests', '491 (Pernambuco coastal forests)'),
    (492, 'Pernambucointeriorforests', '492 (Pernambuco interior forests)'),
    (493, 'PeruvianYungas', '493 (Peruvian Yungas)'),
    (494, 'PetenVeracruzmoistforests', '494 (Petén-Veracruz moist forests)'),
    (495, 'PuertoRicanmoistforests', '495 (Puerto Rican moist forests)'),
    (496, 'Purusvarzea', '496 (Purus várzea)'),
    (497, 'PurusMadeiramoistforests', '497 (Purus-Madeira moist forests)'),
    (498, 'RioNegrocampinarana', '498 (Rio Negro campinarana)'),
    (499, 'SantaMartamontaneforests', '499 (Santa Marta montane forests)'),
    (500, 'SerradoMarcoastalforests', '500 (Serra do Mar coastal forests)'),
    (501, 'SierradelosTuxtlas', '501 (Sierra de los Tuxtlas)'),
    (502, 'SierraMadredeChiapasmoistforests', '502 (Sierra Madre de Chiapas moist forests)'),
    (503, 'SolimoesJapuramoistforests', '503 (Solimões-Japurá moist forests)'),
    (504, 'SouthernAndeanYungas', '504 (Southern Andean Yungas)'),
    (505, 'SouthwestAmazonmoistforests', '505 (Southwest Amazon moist forests)'),
    (506, 'Talamancanmontaneforests', '506 (Talamancan montane forests)'),
    (507, 'TapajosXingumoistforests', '507 (Tapajós-Xingu moist forests)'),
    (508, 'TocantinsPindaremoistforests', '508 (Tocantins/Pindare moist forests)'),
    (509, 'TrindadeMartinVazIslandstropicalforests', '509 (Trindade-Martin Vaz Islands tropical forests)'),
    (510, 'TrinidadandTobagomoistforest', '510 (Trinidad and Tobago moist forest)'),
    (511, 'UatumaTrombetasmoistforests', '511 (Uatumã-Trombetas moist forests)'),
    (512, 'Ucayalimoistforests', '512 (Ucayali moist forests)'),
    (513, 'VenezuelanAndesmontaneforests', '513 (Venezuelan Andes montane forests)'),
    (514, 'Veracruzmoistforests', '514 (Veracruz moist forests)'),
    (515, 'Veracruzmontaneforests', '515 (Veracruz montane forests)'),
    (516, 'WesternEcuadormoistforests', '516 (Western Ecuador moist forests)'),
    (517, 'WindwardIslandsmoistforests', '517 (Windward Islands moist forests)'),
    (518, 'XinguTocantinsAraguaiamoistforests', '518 (Xingu-Tocantins-Araguaia moist forests)'),
    (519, 'Yucatanmoistforests', '519 (Yucatán moist forests)'),
    (520, 'ApureVillavicenciodryforests', '520 (Apure-Villavicencio dry forests)'),
    (521, 'Bajiodryforests', '521 (Bajío dry forests)'),
    (522, 'Balsasdryforests', '522 (Balsas dry forests)'),
    (523, 'Bolivianmontanedryforests', '523 (Bolivian montane dry forests)'),
    (524, 'BrazilianAtlanticdryforests', '524 (Brazilian Atlantic dry forests)'),
    (525, 'Caatinga', '525 (Caatinga)'),
    (526, 'CaucaValleydryforests', '526 (Cauca Valley dry forests)'),
    (527, 'CentralAmericandryforests', '527 (Central American dry forests)'),
    (528, 'ChiapasDepressiondryforests', '528 (Chiapas Depression dry forests)'),
    (529, 'Chiquitanodryforests', '529 (Chiquitano dry forests)'),
    (530, 'Cubandryforests', '530 (Cuban dry forests)'),
    (531, 'Ecuadoriandryforests', '531 (Ecuadorian dry forests)'),
    (532, 'Hispaniolandryforests', '532 (Hispaniolan dry forests)'),
    (533, 'IslasRevillagigedodryforests', '533 (Islas Revillagigedo dry forests)'),
    (534, 'Jaliscodryforests', '534 (Jalisco dry forests)'),
    (535, 'Jamaicandryforests', '535 (Jamaican dry forests)'),
    (536, 'LaraFalcondryforests', '536 (Lara-Falcón dry forests)'),
    (537, 'LesserAntilleandryforests', '537 (Lesser Antillean dry forests)'),
    (538, 'MagdalenaValleydryforests', '538 (Magdalena Valley dry forests)'),
    (539, 'Maracaibodryforests', '539 (Maracaibo dry forests)'),
    (540, 'MaranhaoBabacuforests', '540 (Maranhão Babaçu forests)'),
    (541, 'Panamaniandryforests', '541 (Panamanian dry forests)'),
    (542, 'Patiavalleydryforests', '542 (Patía valley dry forests)'),
    (543, 'PuertoRicandryforests', '543 (Puerto Rican dry forests)'),
    (544, 'SierradelaLagunadryforests', '544 (Sierra de la Laguna dry forests)'),
    (545, 'Sinaloandryforests', '545 (Sinaloan dry forests)'),
    (546, 'SinuValleydryforests', '546 (Sinú Valley dry forests)'),
    (547, 'SouthernPacificdryforests', '547 (Southern Pacific dry forests)'),
    (548, 'TrinidadandTobagodryforest', '548 (Trinidad and Tobago dry forest)'),
    (549, 'TumbesPiuradryforests', '549 (Tumbes-Piura dry forests)'),
    (550, 'Veracruzdryforests', '550 (Veracruz dry forests)'),
    (551, 'Yucatandryforests', '551 (Yucatán dry forests)'),
    (552, 'Bahamianpineyards', '552 (Bahamian pineyards)'),
    (553, 'CentralAmericanpineoakforests', '553 (Central American pine-oak forests)'),
    (554, 'Cubanpineforests', '554 (Cuban pine forests)'),
    (555, 'Hispaniolanpineforests', '555 (Hispaniolan pine forests)'),
    (556, 'SierradelaLagunapineoakforests', '556 (Sierra de la Laguna pine-oak forests)'),
    (557, 'SierraMadredeOaxacapineoakforests', '557 (Sierra Madre de Oaxaca pine-oak forests)'),
    (558, 'SierraMadredelSurpineoakforests', '558 (Sierra Madre del Sur pine-oak forests)'),
    (559, 'TransMexicanVolcanicBeltpineoakforests', '559 (Trans-Mexican Volcanic Belt pine-oak forests)'),
    (560, 'JuanFernandezIslandstemperateforests', '560 (Juan Fernández Islands temperate forests)'),
    (561, 'Magellanicsubpolarforests', '561 (Magellanic subpolar forests)'),
    (562, 'SanFelixSanAmbrosioIslandstemperateforests', '562 (San Félix-San Ambrosio Islands temperate forests)'),
    (563, 'Valdiviantemperateforests', '563 (Valdivian temperate forests)'),
    (564, 'Belizianpinesavannas', '564 (Belizian pine savannas)'),
    (565, 'Benisavanna', '565 (Beni savanna)'),
    (566, 'CamposRupestresmontanesavanna', '566 (Campos Rupestres montane savanna)'),
    (567, 'Cerrado', '567 (Cerrado)'),
    (568, 'ClippertonIslandshrubandgrasslands', '568 (Clipperton Island shrub and grasslands)'),
    (569, 'DryChaco', '569 (Dry Chaco)'),
    (570, 'Guianansavanna', '570 (Guianan savanna)'),
    (571, 'HumidChaco', '571 (Humid Chaco)'),
    (572, 'Llanos', '572 (Llanos)'),
    (573, 'Miskitopineforests', '573 (Miskito pine forests)'),
    (574, 'Uruguayansavanna', '574 (Uruguayan savanna)'),
    (575, 'Espinal', '575 (Espinal)'),
    (576, 'HumidPampas', '576 (Humid Pampas)'),
    (577, 'LowMonte', '577 (Low Monte)'),
    (578, 'Patagoniansteppe', '578 (Patagonian steppe)'),
    (579, 'Cubanwetlands', '579 (Cuban wetlands)'),
    (580, 'Enriquillowetlands', '580 (Enriquillo wetlands)'),
    (581, 'Evergladesfloodedgrasslands', '581 (Everglades flooded grasslands)'),
    (582, 'Guayaquilfloodedgrasslands', '582 (Guayaquil flooded grasslands)'),
    (583, 'Orinocowetlands', '583 (Orinoco wetlands)'),
    (584, 'Pantanal', '584 (Pantanal)'),
    (585, 'Paranafloodedsavanna', '585 (Paraná flooded savanna)'),
    (586, 'SouthernConeMesopotamiansavanna', '586 (Southern Cone Mesopotamian savanna)'),
    (587, 'CentralAndeandrypuna', '587 (Central Andean dry puna)'),
    (588, 'CentralAndeanpuna', '588 (Central Andean puna)'),
    (589, 'CentralAndeanwetpuna', '589 (Central Andean wet puna)'),
    (590, 'CordilleraCentralparamo', '590 (Cordillera Central páramo)'),
    (591, 'CordilleradeMeridaparamo', '591 (Cordillera de Merida páramo)'),
    (592, 'HighMonte', '592 (High Monte)'),
    (593, 'NorthernAndeanparamo', '593 (Northern Andean páramo)'),
    (594, 'SantaMartaparamo', '594 (Santa Marta páramo)'),
    (595, 'SouthernAndeansteppe', '595 (Southern Andean steppe)'),
    (596, 'ChileanMatorral', '596 (Chilean Matorral)'),
    (597, 'ArayaandPariaxericscrub', '597 (Araya and Paria xeric scrub)'),
    (598, 'Atacamadesert', '598 (Atacama desert)'),
    (599, 'Caribbeanshrublands', '599 (Caribbean shrublands)'),
    (600, 'Cubancactusscrub', '600 (Cuban cactus scrub)'),
    (601, 'GalapagosIslandsxericscrub', '601 (Galápagos Islands xeric scrub)'),
    (602, 'GuajiraBarranquillaxericscrub', '602 (Guajira-Barranquilla xeric scrub)'),
    (603, 'LaCostaxericshrublands', '603 (La Costa xeric shrublands)'),
    (604, 'MalpeloIslandxericscrub', '604 (Malpelo Island xeric scrub)'),
    (605, 'MotaguaValleythornscrub', '605 (Motagua Valley thornscrub)'),
    (606, 'Paraguanaxericscrub', '606 (Paraguaná xeric scrub)'),
    (607, 'SanLucanxericscrub', '607 (San Lucan xeric scrub)'),
    (608, 'Sechuradesert', '608 (Sechura desert)'),
    (609, 'StPeterandStPaulRocks', '609 (St. Peter and St. Paul Rocks)'),
    (610, 'TehuacanValleymatorral', '610 (Tehuacán Valley matorral)'),
    (611, 'AmazonOrinocoSouthernCaribbeanmangroves', '611 (Amazon-Orinoco-Southern Caribbean mangroves)'),
    (612, 'BahamianAntilleanmangroves', '612 (Bahamian-Antillean mangroves)'),
    (613, 'MesoamericanGulfCaribbeanmangroves', '613 (Mesoamerican Gulf-Caribbean mangroves)'),
    (614, 'NorthernMesoamericanPacificmangroves', '614 (Northern Mesoamerican Pacific mangroves)'),
    (615, 'SouthAmericanPacificmangroves', '615 (South American Pacific mangroves)'),
    (616, 'SouthernAtlanticBrazilianmangroves', '616 (Southern Atlantic Brazilian mangroves)'),
    (617, 'SouthernMesoamericanPacificmangroves', '617 (Southern Mesoamerican Pacific mangroves)'),
    (618, 'Carolinestropicalmoistforests', '618 (Carolines tropical moist forests)'),
    (619, 'CentralPolynesiantropicalmoistforests', '619 (Central Polynesian tropical moist forests)'),
    (620, 'CookIslandstropicalmoistforests', '620 (Cook Islands tropical moist forests)'),
    (621, 'EasternMicronesiatropicalmoistforests', '621 (Eastern Micronesia tropical moist forests)'),
    (622, 'Fijitropicalmoistforests', '622 (Fiji tropical moist forests)'),
    (623, 'Hawaiitropicalmoistforests', '623 (Hawai''i tropical moist forests)'),
    (624, 'KermadecIslandssubtropicalmoistforests', '624 (Kermadec Islands subtropical moist forests)'),
    (625, 'Marquesastropicalmoistforests', '625 (Marquesas tropical moist forests)'),
    (626, 'Ogasawarasubtropicalmoistforests', '626 (Ogasawara subtropical moist forests)'),
    (627, 'Palautropicalmoistforests', '627 (Palau tropical moist forests)'),
    (628, 'RapaNuiandSalayGomezsubtropicalforests', '628 (Rapa Nui and Sala y Gómez subtropical forests)'),
    (629, 'Samoantropicalmoistforests', '629 (Samoan tropical moist forests)'),
    (630, 'SocietyIslandstropicalmoistforests', '630 (Society Islands tropical moist forests)'),
    (631, 'Tongantropicalmoistforests', '631 (Tongan tropical moist forests)'),
    (632, 'Tuamotutropicalmoistforests', '632 (Tuamotu tropical moist forests)'),
    (633, 'Tubuaitropicalmoistforests', '633 (Tubuai tropical moist forests)'),
    (634, 'WesternPolynesiantropicalmoistforests', '634 (Western Polynesian tropical moist forests)'),
    (635, 'Fijitropicaldryforests', '635 (Fiji tropical dry forests)'),
    (636, 'Hawaiitropicaldryforests', '636 (Hawai''i tropical dry forests)'),
    (637, 'Marianastropicaldryforests', '637 (Marianas tropical dry forests)'),
    (638, 'Yaptropicaldryforests', '638 (Yap tropical dry forests)'),
    (639, 'Hawaiitropicalhighshrublands', '639 (Hawai''i tropical high shrublands)'),
    (640, 'Hawaiitropicallowshrublands', '640 (Hawai''i tropical low shrublands)'),
    (641, 'NorthwestHawaiiscrub', '641 (Northwest Hawai''i scrub)'),
    (642, 'GuizhouPlateaubroadleafandmixedforests', '642 (Guizhou Plateau broadleaf and mixed forests)'),
    (643, 'YunnanPlateausubtropicalevergreenforests', '643 (Yunnan Plateau subtropical evergreen forests)'),
    (644, 'Appeninedeciduousmontaneforests', '644 (Appenine deciduous montane forests)'),
    (645, 'Azorestemperatemixedforests', '645 (Azores temperate mixed forests)'),
    (646, 'Balkanmixedforests', '646 (Balkan mixed forests)'),
    (647, 'Balticmixedforests', '647 (Baltic mixed forests)'),
    (648, 'Cantabrianmixedforests', '648 (Cantabrian mixed forests)'),
    (649, 'CaspianHyrcanianmixedforests', '649 (Caspian Hyrcanian mixed forests)'),
    (650, 'Caucasusmixedforests', '650 (Caucasus mixed forests)'),
    (651, 'Celticbroadleafforests', '651 (Celtic broadleaf forests)'),
    (652, 'CentralAnatoliansteppeandwoodlands', '652 (Central Anatolian steppe and woodlands)'),
    (653, 'CentralChinaLoessPlateaumixedforests', '653 (Central China Loess Plateau mixed forests)'),
    (654, 'CentralEuropeanmixedforests', '654 (Central European mixed forests)'),
    (655, 'CentralKoreandeciduousforests', '655 (Central Korean deciduous forests)'),
    (656, 'ChangbaiMountainsmixedforests', '656 (Changbai Mountains mixed forests)'),
    (657, 'ChangjiangPlainevergreenforests', '657 (Changjiang Plain evergreen forests)'),
    (658, 'CrimeanSubmediterraneanforestcomplex', '658 (Crimean Submediterranean forest complex)'),
    (659, 'DabaMountainsevergreenforests', '659 (Daba Mountains evergreen forests)'),
    (660, 'DinaricMountainsmixedforests', '660 (Dinaric Mountains mixed forests)'),
    (661, 'EastEuropeanforeststeppe', '661 (East European forest steppe)'),
    (662, 'EasternAnatoliandeciduousforests', '662 (Eastern Anatolian deciduous forests)'),
    (663, 'EnglishLowlandsbeechforests', '663 (English Lowlands beech forests)'),
    (664, 'EuropeanAtlanticmixedforests', '664 (European Atlantic mixed forests)'),
    (665, 'EuxineColchicbroadleafforests', '665 (Euxine-Colchic broadleaf forests)'),
    (666, 'Hokkaidodeciduousforests', '666 (Hokkaido deciduous forests)'),
    (667, 'HuangHePlainmixedforests', '667 (Huang He Plain mixed forests)'),
    (668, 'Madeiraevergreenforests', '668 (Madeira evergreen forests)'),
    (669, 'Manchurianmixedforests', '669 (Manchurian mixed forests)'),
    (670, 'Nihonkaievergreenforests', '670 (Nihonkai evergreen forests)'),
    (671, 'Nihonkaimontanedeciduousforests', '671 (Nihonkai montane deciduous forests)'),
    (672, 'NorthAtlanticmoistmixedforests', '672 (North Atlantic moist mixed forests)'),
    (673, 'NortheastChinaPlaindeciduousforests', '673 (Northeast China Plain deciduous forests)'),
    (674, 'Pannonianmixedforests', '674 (Pannonian mixed forests)'),
    (675, 'PoBasinmixedforests', '675 (Po Basin mixed forests)'),
    (676, 'Pyreneesconiferandmixedforests', '676 (Pyrenees conifer and mixed forests)'),
    (677, 'QinLingMountainsdeciduousforests', '677 (Qin Ling Mountains deciduous forests)'),
    (678, 'Rodopemontanemixedforests', '678 (Rodope montane mixed forests)'),
    (679, 'Sarmaticmixedforests', '679 (Sarmatic mixed forests)'),
    (680, 'SichuanBasinevergreenbroadleafforests', '680 (Sichuan Basin evergreen broadleaf forests)'),
    (681, 'SouthernKoreaevergreenforests', '681 (Southern Korea evergreen forests)'),
    (682, 'Taiheiyoevergreenforests', '682 (Taiheiyo evergreen forests)'),
    (683, 'Taiheiyomontanedeciduousforests', '683 (Taiheiyo montane deciduous forests)'),
    (684, 'TarimBasindeciduousforestsandsteppe', '684 (Tarim Basin deciduous forests and steppe)'),
    (685, 'Ussuribroadleafandmixedforests', '685 (Ussuri broadleaf and mixed forests)'),
    (686, 'WesternEuropeanbroadleafforests', '686 (Western European broadleaf forests)'),
    (687, 'WesternSiberianhemiborealforests', '687 (Western Siberian hemiboreal forests)'),
    (688, 'ZagrosMountainsforeststeppe', '688 (Zagros Mountains forest steppe)'),
    (689, 'Alpsconiferandmixedforests', '689 (Alps conifer and mixed forests)'),
    (690, 'Altaimontaneforestandforeststeppe', '690 (Altai montane forest and forest steppe)'),
    (691, 'Caledonconiferforests', '691 (Caledon conifer forests)'),
    (692, 'Carpathianmontaneforests', '692 (Carpathian montane forests)'),
    (693, 'DaHingganDzhagdyMountainsconiferforests', '693 (Da Hinggan-Dzhagdy Mountains conifer forests)'),
    (694, 'EastAfghanmontaneconiferforests', '694 (East Afghan montane conifer forests)'),
    (695, 'ElburzRangeforeststeppe', '695 (Elburz Range forest steppe)'),
    (696, 'Helanshanmontaneconiferforests', '696 (Helanshan montane conifer forests)'),
    (697, 'HengduanMountainssubalpineconiferforests', '697 (Hengduan Mountains subalpine conifer forests)'),
    (698, 'Hokkaidomontaneconiferforests', '698 (Hokkaido montane conifer forests)'),
    (699, 'Honshualpineconiferforests', '699 (Honshu alpine conifer forests)'),
    (700, 'KhangaiMountainsconiferforests', '700 (Khangai Mountains conifer forests)'),
    (701, 'Mediterraneanconiferandmixedforests', '701 (Mediterranean conifer and mixed forests)'),
    (702, 'NortheastHimalayansubalpineconiferforests', '702 (Northeast Himalayan subalpine conifer forests)'),
    (703, 'NorthernAnatolianconiferanddeciduousforests', '703 (Northern Anatolian conifer and deciduous forests)'),
    (704, 'NujiangLangcangGorgealpineconiferandmixedforests', '704 (Nujiang Langcang Gorge alpine conifer and mixed forests)'),
    (705, 'QilianMountainsconiferforests', '705 (Qilian Mountains conifer forests)'),
    (706, 'QionglaiMinshanconiferforests', '706 (Qionglai-Minshan conifer forests)'),
    (707, 'Sayanmontaneconiferforests', '707 (Sayan montane conifer forests)'),
    (708, 'Scandinaviancoastalconiferforests', '708 (Scandinavian coastal conifer forests)'),
    (709, 'TianShanmontaneconiferforests', '709 (Tian Shan montane conifer forests)'),
    (710, 'EastSiberiantaiga', '710 (East Siberian taiga)'),
    (711, 'Icelandborealbirchforestsandalpinetundra', '711 (Iceland boreal birch forests and alpine tundra)'),
    (712, 'Kamchatkataiga', '712 (Kamchatka taiga)'),
    (713, 'KamchatkaKurilemeadowsandsparseforests', '713 (Kamchatka-Kurile meadows and sparse forests)'),
    (714, 'NortheastSiberiantaiga', '714 (Northeast Siberian taiga)'),
    (715, 'OkhotskManchuriantaiga', '715 (Okhotsk-Manchurian taiga)'),
    (716, 'SakhalinIslandtaiga', '716 (Sakhalin Island taiga)'),
    (717, 'ScandinavianandRussiantaiga', '717 (Scandinavian and Russian taiga)'),
    (718, 'TransBaikalconiferforests', '718 (Trans-Baikal conifer forests)'),
    (719, 'Uralsmontaneforestandtaiga', '719 (Urals montane forest and taiga)'),
    (720, 'WestSiberiantaiga', '720 (West Siberian taiga)'),
    (721, 'AlaiWesternTianShansteppe', '721 (Alai-Western Tian Shan steppe)'),
    (722, 'AlHajarfoothillxericwoodlandsandshrublands', '722 (Al-Hajar foothill xeric woodlands and shrublands)'),
    (723, 'AlHajarmontanewoodlandsandshrublands', '723 (Al-Hajar montane woodlands and shrublands)'),
    (724, 'Altaisteppeandsemidesert', '724 (Altai steppe and semi-desert)'),
    (725, 'CentralAnatoliansteppe', '725 (Central Anatolian steppe)'),
    (726, 'Daurianforeststeppe', '726 (Daurian forest steppe)'),
    (727, 'EasternAnatolianmontanesteppe', '727 (Eastern Anatolian montane steppe)'),
    (728, 'EminValleysteppe', '728 (Emin Valley steppe)'),
    (729, 'FaroeIslandsborealgrasslands', '729 (Faroe Islands boreal grasslands)'),
    (730, 'GissaroAlaiopenwoodlands', '730 (Gissaro-Alai open woodlands)'),
    (731, 'Kazakhforeststeppe', '731 (Kazakh forest steppe)'),
    (732, 'Kazakhsteppe', '732 (Kazakh steppe)'),
    (733, 'Kazakhuplandsteppe', '733 (Kazakh upland steppe)'),
    (734, 'MongolianManchuriangrassland', '734 (Mongolian-Manchurian grassland)'),
    (735, 'Ponticsteppe', '735 (Pontic steppe)'),
    (736, 'SayanIntermontanesteppe', '736 (Sayan Intermontane steppe)'),
    (737, 'SelengeOrkhonforeststeppe', '737 (Selenge-Orkhon forest steppe)'),
    (738, 'SouthSiberianforeststeppe', '738 (South Siberian forest steppe)'),
    (739, 'Syrianxericgrasslandsandshrublands', '739 (Syrian xeric grasslands and shrublands)'),
    (740, 'TianShanfoothillaridsteppe', '740 (Tian Shan foothill arid steppe)'),
    (741, 'Amurmeadowsteppe', '741 (Amur meadow steppe)'),
    (742, 'BohaiSeasalinemeadow', '742 (Bohai Sea saline meadow)'),
    (743, 'NenjiangRivergrassland', '743 (Nenjiang River grassland)'),
    (744, 'NileDeltafloodedsavanna', '744 (Nile Delta flooded savanna)'),
    (745, 'Saharanhalophytics', '745 (Saharan halophytics)'),
    (746, 'SuiphunKhankameadowsandforestmeadows', '746 (Suiphun-Khanka meadows and forest meadows)'),
    (747, 'TigrisEuphratesalluvialsaltmarsh', '747 (Tigris-Euphrates alluvial salt marsh)'),
    (748, 'YellowSeasalinemeadow', '748 (Yellow Sea saline meadow)'),
    (749, 'Altaialpinemeadowandtundra', '749 (Altai alpine meadow and tundra)'),
    (750, 'CentralTibetanPlateaualpinesteppe', '750 (Central Tibetan Plateau alpine steppe)'),
    (751, 'EasternHimalayanalpineshrubandmeadows', '751 (Eastern Himalayan alpine shrub and meadows)'),
    (752, 'GhoratHazarajatalpinemeadow', '752 (Ghorat-Hazarajat alpine meadow)'),
    (753, 'HinduKushalpinemeadow', '753 (Hindu Kush alpine meadow)'),
    (754, 'KarakoramWestTibetanPlateaualpinesteppe', '754 (Karakoram-West Tibetan Plateau alpine steppe)'),
    (755, 'KhangaiMountainsalpinemeadow', '755 (Khangai Mountains alpine meadow)'),
    (756, 'KopetDagwoodlandsandforeststeppe', '756 (Kopet Dag woodlands and forest steppe)'),
    (757, 'KuhRudandEasternIranmontanewoodlands', '757 (Kuh Rud and Eastern Iran montane woodlands)'),
    (758, 'MediterraneanHighAtlasjunipersteppe', '758 (Mediterranean High Atlas juniper steppe)'),
    (759, 'NorthTibetanPlateauKunlunMountainsalpinedesert', '759 (North Tibetan Plateau-Kunlun Mountains alpine desert)'),
    (760, 'NorthwesternHimalayanalpineshrubandmeadows', '760 (Northwestern Himalayan alpine shrub and meadows)'),
    (761, 'OrdosPlateausteppe', '761 (Ordos Plateau steppe)'),
    (762, 'Pamiralpinedesertandtundra', '762 (Pamir alpine desert and tundra)'),
    (763, 'QilianMountainssubalpinemeadows', '763 (Qilian Mountains subalpine meadows)'),
    (764, 'Sayanalpinemeadowsandtundra', '764 (Sayan alpine meadows and tundra)'),
    (765, 'SoutheastTibetshrublandsandmeadows', '765 (Southeast Tibet shrublands and meadows)'),
    (766, 'SulaimanRangealpinemeadows', '766 (Sulaiman Range alpine meadows)'),
    (767, 'TianShanmontanesteppeandmeadows', '767 (Tian Shan montane steppe and meadows)'),
    (768, 'TibetanPlateaualpineshrublandsandmeadows', '768 (Tibetan Plateau alpine shrublands and meadows)'),
    (769, 'WesternHimalayanalpineshrubandmeadows', '769 (Western Himalayan alpine shrub and meadows)'),
    (770, 'YarlungZanboaridsteppe', '770 (Yarlung Zanbo arid steppe)'),
    (771, 'CherskiiKolymamountaintundra', '771 (Cherskii-Kolyma mountain tundra)'),
    (772, 'ChukchiPeninsulatundra', '772 (Chukchi Peninsula tundra)'),
    (773, 'Kamchatkatundra', '773 (Kamchatka tundra)'),
    (774, 'KolaPeninsulatundra', '774 (Kola Peninsula tundra)'),
    (775, 'NortheastSiberiancoastaltundra', '775 (Northeast Siberian coastal tundra)'),
    (776, 'NorthwestRussianNovayaZemlyatundra', '776 (Northwest Russian-Novaya Zemlya tundra)'),
    (777, 'NovosibirskIslandsArcticdesert', '777 (Novosibirsk Islands Arctic desert)'),
    (778, 'RussianArcticdesert', '778 (Russian Arctic desert)'),
    (779, 'RussianBeringtundra', '779 (Russian Bering tundra)'),
    (780, 'ScandinavianMontaneBirchforestandgrasslands', '780 (Scandinavian Montane Birch forest and grasslands)'),
    (781, 'TaimyrCentralSiberiantundra', '781 (Taimyr-Central Siberian tundra)'),
    (782, 'TransBaikalBaldMountaintundra', '782 (Trans-Baikal Bald Mountain tundra)'),
    (783, 'WrangelIslandArcticdesert', '783 (Wrangel Island Arctic desert)'),
    (784, 'YamalGydantundra', '784 (Yamal-Gydan tundra)'),
    (785, 'AegeanandWesternTurkeysclerophyllousandmixedforests', '785 (Aegean and Western Turkey sclerophyllous and mixed forests)'),
    (786, 'Anatolianconiferanddeciduousmixedforests', '786 (Anatolian conifer and deciduous mixed forests)'),
    (787, 'CanaryIslandsdrywoodlandsandforests', '787 (Canary Islands dry woodlands and forests)'),
    (788, 'Corsicanmontanebroadleafandmixedforests', '788 (Corsican montane broadleaf and mixed forests)'),
    (789, 'CreteMediterraneanforests', '789 (Crete Mediterranean forests)'),
    (790, 'CyprusMediterraneanforests', '790 (Cyprus Mediterranean forests)'),
    (791, 'EasternMediterraneanconiferbroadleafforests', '791 (Eastern Mediterranean conifer-broadleaf forests)'),
    (792, 'Iberianconiferforests', '792 (Iberian conifer forests)'),
    (793, 'Iberiansclerophyllousandsemideciduousforests', '793 (Iberian sclerophyllous and semi-deciduous forests)'),
    (794, 'Illyriandeciduousforests', '794 (Illyrian deciduous forests)'),
    (795, 'Italiansclerophyllousandsemideciduousforests', '795 (Italian sclerophyllous and semi-deciduous forests)'),
    (796, 'MediterraneanAcaciaArganiadrywoodlandsandsucculentthickets', '796 (Mediterranean Acacia-Argania dry woodlands and succulent thickets)'),
    (797, 'Mediterraneandrywoodlandsandsteppe', '797 (Mediterranean dry woodlands and steppe)'),
    (798, 'Mediterraneanwoodlandsandforests', '798 (Mediterranean woodlands and forests)'),
    (799, 'NortheastSpainandSouthernFranceMediterraneanforests', '799 (Northeast Spain and Southern France Mediterranean forests)'),
    (800, 'NorthwestIberianmontaneforests', '800 (Northwest Iberian montane forests)'),
    (801, 'PindusMountainsmixedforests', '801 (Pindus Mountains mixed forests)'),
    (802, 'SouthApenninemixedmontaneforests', '802 (South Apennine mixed montane forests)'),
    (803, 'SoutheastIberianshrubsandwoodlands', '803 (Southeast Iberian shrubs and woodlands)'),
    (804, 'SouthernAnatolianmontaneconiferanddeciduousforests', '804 (Southern Anatolian montane conifer and deciduous forests)'),
    (805, 'SouthwestIberianMediterraneansclerophyllousandmixedforests', '805 (Southwest Iberian Mediterranean sclerophyllous and mixed forests)'),
    (806, 'TyrrhenianAdriaticsclerophyllousandmixedforests', '806 (Tyrrhenian-Adriatic sclerophyllous and mixed forests)'),
    (807, 'AfghanMountainssemidesert', '807 (Afghan Mountains semi-desert)'),
    (808, 'AlashanPlateausemidesert', '808 (Alashan Plateau semi-desert)'),
    (809, 'Arabiandesert', '809 (Arabian desert)'),
    (810, 'Arabiansanddesert', '810 (Arabian sand desert)'),
    (811, 'ArabianPersianGulfcoastalplaindesert', '811 (Arabian-Persian Gulf coastal plain desert)'),
    (812, 'Azerbaijanshrubdesertandsteppe', '812 (Azerbaijan shrub desert and steppe)'),
    (813, 'BadghyzandKarabilsemidesert', '813 (Badghyz and Karabil semi-desert)'),
    (814, 'Baluchistanxericwoodlands', '814 (Baluchistan xeric woodlands)'),
    (815, 'Caspianlowlanddesert', '815 (Caspian lowland desert)'),
    (816, 'CentralAfghanMountainsxericwoodlands', '816 (Central Afghan Mountains xeric woodlands)'),
    (817, 'CentralAsiannortherndesert', '817 (Central Asian northern desert)'),
    (818, 'CentralAsianriparianwoodlands', '818 (Central Asian riparian woodlands)'),
    (819, 'CentralAsiansoutherndesert', '819 (Central Asian southern desert)'),
    (820, 'CentralPersiandesertbasins', '820 (Central Persian desert basins)'),
    (821, 'EastArabianfogshrublandsandsanddesert', '821 (East Arabian fog shrublands and sand desert)'),
    (822, 'EastSaharaDesert', '822 (East Sahara Desert)'),
    (823, 'EastSaharanmontanexericwoodlands', '823 (East Saharan montane xeric woodlands)'),
    (824, 'EasternGobidesertsteppe', '824 (Eastern Gobi desert steppe)'),
    (825, 'GobiLakesValleydesertsteppe', '825 (Gobi Lakes Valley desert steppe)'),
    (826, 'GreatLakesBasindesertsteppe', '826 (Great Lakes Basin desert steppe)'),
    (827, 'JunggarBasinsemidesert', '827 (Junggar Basin semi-desert)'),
    (828, 'Kazakhsemidesert', '828 (Kazakh semi-desert)'),
    (829, 'KopetDagsemidesert', '829 (Kopet Dag semi-desert)'),
    (830, 'Mesopotamianshrubdesert', '830 (Mesopotamian shrub desert)'),
    (831, 'NorthArabiandesert', '831 (North Arabian desert)'),
    (832, 'NorthArabianhighlandshrublands', '832 (North Arabian highland shrublands)'),
    (833, 'NorthSaharanXericSteppeandWoodland', '833 (North Saharan Xeric Steppe and Woodland)'),
    (834, 'Paropamisusxericwoodlands', '834 (Paropamisus xeric woodlands)'),
    (835, 'QaidamBasinsemidesert', '835 (Qaidam Basin semi-desert)'),
    (836, 'RedSeacoastaldesert', '836 (Red Sea coastal desert)'),
    (837, 'RedSeaArabianDesertshrublands', '837 (Red Sea-Arabian Desert shrublands)'),
    (838, 'RegistanNorthPakistansandydesert', '838 (Registan-North Pakistan sandy desert)'),
    (839, 'SaharanAtlanticcoastaldesert', '839 (Saharan Atlantic coastal desert)'),
    (840, 'SouthArabianplainsandplateaudesert', '840 (South Arabian plains and plateau desert)'),
    (841, 'SouthIranNuboSindiandesertandsemidesert', '841 (South Iran Nubo-Sindian desert and semi-desert)'),
    (842, 'SouthSaharadesert', '842 (South Sahara desert)'),
    (843, 'Taklimakandesert', '843 (Taklimakan desert)'),
    (844, 'TibestiJebelUweinatmontanexericwoodlands', '844 (Tibesti-Jebel Uweinat montane xeric woodlands)'),
    (845, 'WestSaharadesert', '845 (West Sahara desert)'),
    (846, 'WestSaharanmontanexericwoodlands', '846 (West Saharan montane xeric woodlands)');
