--
-- toardb/extension/toar_controlled_vocabulary/toar_controlled_vocabulary--0.7.3--0.7.4.sql
--
-- [Step to install]
--
-- 1. 
--

-- INSTALL VERSION: '0.7.4'

-- complain if script is sourced in psql, rather than via CREATE EXTENSION
\echo Use "CREATE/ALTER EXTENSION toar_controlled_vocabulary" to load this file. \quit

-- still to do:
-- How to set convoc_schema to result from SELECT:
-- SELECT table_schema INTO convoc_schema FROM information_schema.tables WHERE table_name='df_vocabulary';

SET SCHEMA 'toar_convoc';

-- Stationmeta
-- ===========

-- climatic zones 2019
-- see: IPCC Climate Zone Map reported in Figure 3A.5.1 in Chapter 3 of Vol.4 of 2019 Refinement

UPDATE CZ_vocabulary SET (enum_val, enum_str, enum_display_str) = ( 1, 'TropicalMontane', '1 (tropical montane)') WHERE enum_val=1;
UPDATE CZ_vocabulary SET (enum_val, enum_str, enum_display_str) = ( 2, 'TropicalWet', '2 (tropical wet)') WHERE enum_val=2;
UPDATE CZ_vocabulary SET (enum_val, enum_str, enum_display_str) = ( 3, 'TropicalMoist', '3 (tropical moist)') WHERE enum_val=3;
UPDATE CZ_vocabulary SET (enum_val, enum_str, enum_display_str) = ( 4, 'TropicalDry', '4 (tropical dry)') WHERE enum_val=4;
UPDATE CZ_vocabulary SET (enum_val, enum_str, enum_display_str) = ( 5, 'WarmTemperateMoist', '5 (warm temperate moist)') WHERE enum_val=5;
UPDATE CZ_vocabulary SET (enum_val, enum_str, enum_display_str) = ( 6, 'WarmTemperateDry', '6 (warm temperate dry)') WHERE enum_val=6;
UPDATE CZ_vocabulary SET (enum_val, enum_str, enum_display_str) = ( 7, 'CoolTemperateMoist', '7 (cool temperate moist)') WHERE enum_val=7;
UPDATE CZ_vocabulary SET (enum_val, enum_str, enum_display_str) = ( 8, 'CoolTemperateDry', '8 (cool temperate dry)') WHERE enum_val=8;
UPDATE CZ_vocabulary SET (enum_val, enum_str, enum_display_str) = ( 9, 'BorealMoist', '9 (boreal moist)') WHERE enum_val=9;
UPDATE CZ_vocabulary SET (enum_val, enum_str, enum_display_str) = (10, 'BorealDry', '10 (boreal dry)') WHERE enum_val=10;
UPDATE CZ_vocabulary SET (enum_val, enum_str, enum_display_str) = (11, 'PolarMoist', '11 (polar moist)') WHERE enum_val=11;
UPDATE CZ_vocabulary SET (enum_val, enum_str, enum_display_str) = (12, 'PolarDry', '12 (polar dry)') WHERE enum_val=12;


-- Timeseries
-- ==========

-- Sampling Frequencies


INSERT INTO SF_vocabulary (enum_val, enum_str, enum_display_str) VALUES
    ( 9, 'Monthly', 'monthly'),
    (10, 'Yearly', 'yearly'),
    (11, 'Irregular', 'irregular data samples of constant length'),
    (12, 'Irregular2', 'irregular data samples of varying length');

UPDATE SF_vocabulary SET (enum_val, enum_str, enum_display_str) = ( 1, 'TenMinutes', '10-minutes') WHERE enum_val=1;
UPDATE SF_vocabulary SET (enum_val, enum_str, enum_display_str) = ( 2, 'FifteenMinutes', '15-minutes') WHERE enum_val=2;
UPDATE SF_vocabulary SET (enum_val, enum_str, enum_display_str) = ( 3, 'TwentyMinutes', '20-minutes') WHERE enum_val=3;
UPDATE SF_vocabulary SET (enum_val, enum_str, enum_display_str) = ( 4, 'ThirtyMinutes', '30-minutes') WHERE enum_val=4;
UPDATE SF_vocabulary SET (enum_val, enum_str, enum_display_str) = ( 5, 'ThreeHourly', '3-hourly') WHERE enum_val=5;
UPDATE SF_vocabulary SET (enum_val, enum_str, enum_display_str) = ( 6, 'SixHourly', '6-hourly') WHERE enum_val=6;
UPDATE SF_vocabulary SET (enum_val, enum_str, enum_display_str) = ( 7, 'Daily', 'daily') WHERE enum_val=7;
UPDATE SF_vocabulary SET (enum_val, enum_str, enum_display_str) = ( 8, 'Weekly', 'weekly') WHERE enum_val=8;
