# SPDX-FileCopyrightText: 2021-2023 Forschungszentrum Jülich GmbH
# SPDX-License-Identifier: MIT

from sqlalchemy import Column, Integer, String, Sequence, text
from toardb.base import Base


AUTH_USER_ID_SEQ = Sequence('auth_user_id_seq')  # define sequence explicitly
class AuthUser(Base):
    __tablename__ = 'auth_user'

    id = Column(Integer, AUTH_USER_ID_SEQ, primary_key=True, server_default=AUTH_USER_ID_SEQ.next_value())
    username = Column(String(150), nullable=False, unique=True)
    email = Column(String(254), nullable=False)
    eduperson_unique_id = Column(String(64), nullable=False)
    num_timeseries = Column(Integer, nullable=False, server_default=text("'0'::integer"))
    num_gridded = Column(Integer, nullable=False, server_default=text("'0'::integer"))

