# SPDX-FileCopyrightText: 2021 Forschungszentrum Jülich GmbH
# SPDX-License-Identifier: MIT

"""
Pydantic schemas for TOAR database
"""

from pydantic import BaseModel
import datetime as dt


class AuthUserBase(BaseModel):
    id: int = None
    username: str
    email: str
    eduperson_unique_id: str
    num_timeseries: int
    num_gridded: int


class AuthUserCreate(AuthUserBase):
    pass


class AuthUser(AuthUserBase):
    id: int

    class Config:
        orm_mode = True

