# SPDX-FileCopyrightText: 2021 Forschungszentrum Jülich GmbH
# SPDX-License-Identifier: MIT

from sqlalchemy import Table, Column, Integer, String
from sqlalchemy.ext.declarative import declarative_base

from toardb.base import Base

# controlled vocabulary

## Roles

# Role Status
RS_enum_table = Table("rs_vocabulary",
                Base.metadata,
                Column("enum_val", Integer, primary_key=True),
                Column("enum_str", String),
                Column("enum_display_str", String)
          )
 
# Role Codes
RC_enum_table = Table("rc_vocabulary",
                Base.metadata,
                Column("enum_val", Integer, primary_key=True),
                Column("enum_str", String),
                Column("enum_display_str", String)
          )

# Changelog: Type of Change
CL_enum_table = Table("cl_vocabulary",
                      Base.metadata,
                      Column("enum_val", Integer, primary_key=True),
                      Column("enum_str", String),
                      Column("enum_display_str", String)
                      )

## Annotations

# Kind of Annotations
AK_enum_table = Table("ak_vocabulary",
                Base.metadata,
                Column("enum_val", Integer, primary_key=True),
                Column("enum_str", String),
                Column("enum_display_str", String)
          )

