# SPDX-FileCopyrightText: 2021 Forschungszentrum Jülich GmbH
# SPDX-License-Identifier: MIT

"""
class StationmetaGlobalService (Base)
=====================================
"""
from sqlalchemy import Column, String
from toardb.base import Base    

class StationmetaGlobalService(Base):
    """
    Table "public.stationmeta_global_services"

    +--------------------+------------------------+-----------+----------+---------------------------------------------------------+
    |       Column       |          Type          | Collation | Nullable |                         Default                         |
    +====================+========================+===========+==========+=========================================================+
    | variable_name      | character varying(64)  |           | not null |                                                         |
    +--------------------+------------------------+-----------+----------+---------------------------------------------------------+
    | service_url        | character varying(200) |           | not null |                                                         |
    +--------------------+------------------------+-----------+----------+---------------------------------------------------------+

    Indexes:
     "stationmeta_global_services_service_url_key" UNIQUE CONSTRAINT, btree (service_url)
     "stationmeta_global_services_service_url_c8ee80c5_like" btree (service_url varchar_pattern_ops)
    """

    __tablename__ = 'stationmeta_global_services'
    variable_name = Column(String(64), primary_key=True, nullable=False)
    service_url = Column(String(200), nullable=False, unique=True)

