# SPDX-FileCopyrightText: 2021 Forschungszentrum Jülich GmbH
# SPDX-License-Identifier: MIT

from .models_core import Timeseries
from .models_role import TimeseriesRole, timeseries_timeseries_roles_table
from .models_annotation import TimeseriesAnnotation, timeseries_timeseries_annotations_table
from .models_programme import TimeseriesProgramme
from .models_changelog import TimeseriesChangelog
from .models_contributor import s1_contributors_table
from toardb.base import Base

from sqlalchemy import Table, Column, Integer, String
from sqlalchemy.ext.declarative import declarative_base

# controlled vocabulary

# Sampling Frequencies
SF_enum_table = Table("sf_vocabulary",
                Base.metadata,
                Column("enum_val", Integer, primary_key=True),
                Column("enum_str", String),
                Column("enum_display_str", String)
          )

# Aggregation Types
AT_enum_table = Table("at_vocabulary",
                Base.metadata,
                Column("enum_val", Integer, primary_key=True),
                Column("enum_str", String),
                Column("enum_display_str", String)
          )

# Data Origin Types
OT_enum_table = Table("ot_vocabulary",
                Base.metadata,
                Column("enum_val", Integer, primary_key=True),
                Column("enum_str", String),
                Column("enum_display_str", String)
          )

# Data Origins
DO_enum_table = Table("do_vocabulary",
                Base.metadata,
                Column("enum_val", Integer, primary_key=True),
                Column("enum_str", String),
                Column("enum_display_str", String)
          )

