# by Sabine Schröder 03.05.2022
# -----------------------------
# This script replaces the landcover's entries in the ontology
#
#
import requests
import TOARII_ontology

# open existing ontology
onto = TOARII_ontology.TOAR_Ontology('TOAR-II_Ontology_Metadata_v0.4.jsonld')

landcover_class = onto.get_class('dominant_landcover_year2012')

# delete all old entries from landcover class
old_landcover_types = onto.get_entries(landcover_class)
for entry in old_landcover_types:
     onto.delete_entry(entry,landcover_class)

# add new entries already available from the controlled vocabulary
nextid = onto.get_next_id()
new_landcover_types = requests.get('https://toar-data-dev.fz-juelich.de/api/v2/controlled_vocabulary/Station Landcover Type').json()
for entry in new_landcover_types:
     onto.add_entry(landcover_class, entry[1], entry[2], nextid)
     nextid += 1

# save modified ontology
onto.save('TOAR-II_Ontology_Metadata_v0.7.5.jsonld')
onto.save('TOAR-II_Ontology_Metadata_v0.7.5.xml',format='xml')

