#!/bin/bash

###
# OWLDoc preprocessing
# ====================
#
# see:  https://gitlab.version.fz-juelich.de/esde/toar-data/toardb_fastapi/-/issues/41
#
# author: Sabine Schroeder (s.schroeder@fz-juelich.de)
# date: 2021/03/24
#
# This script starts
#     prepare_OWLDoc.py
# for every filename matching "OWL*html of the current directory
# and writes the processed files into the existing directory ../individuals.
#
# Workflow for the actual TOAR OWL html documentation:
# The script prepare_OWLDoc.py is intended to work on all files that are located
# in the subdirectory "individuals" of the TOAR OWL html documentation.
# 1) rename original "individuals" directory, f. ex.
#    mv individuals individuals_orig
# 2) create a new, empty directory "individuals"
#    mkdir individuals
# 3) go to the renamed directory and
#    copy this script AND the python script to the renamed directory
#    (the path to your version of this script might differ from the one given in this example), f.ex.
#    cd individuals_orig
#    cp ../../../toardb/utils/TOAR_Ontology/prepare_OWLDoc.* .
# 4) start the script from within the directory, where the files to be processed are located
#    (with existing directory "../individuals" (from step 2)!)
#    ./prepare_OWLDoc.sh
###

for FILENAME in OWL*html
do
  echo $FILENAME
  ./prepare_OWLDoc.py -f "$FILENAME"
done
