# SPDX-FileCopyrightText: 2021 Forschungszentrum Jülich GmbH
# SPDX-License-Identifier: MIT

"""
Database connection
"""

from sqlalchemy import create_engine
from sqlalchemy.orm import sessionmaker

DATABASE_URL = "postgresql://postgres:postgres@postgres:5432/postgres"

engine = create_engine(DATABASE_URL)
ToarDbSession = sessionmaker(autocommit=False, autoflush=False, bind=engine)


# Dependency
def get_engine():  # pragma: no cover
    assert engine is not None
    return engine


# Dependency
def get_db():  # pragma: no cover
    try:
        db = ToarDbSession()
        yield db
    finally:
        db.close()
