# SPDX-FileCopyrightText: 2021 Forschungszentrum Jülich GmbH
# SPDX-License-Identifier: MIT

base_url = 'https://toar-data-dev.fz-juelich.de'
base_geopeas_url = 'https://toar-data-testing.fz-juelich.de/geopeas/api/v1'
userinfo_endpoint = 'https://login.helmholtz.de/oauth2/userinfo'

request_limitations = {"anonymous":       {"max_timeseries": 5,
                                           "max_timeseries_per_request": 5,
                                           "max_gridded": 0,
                                           "max_gridded_per_request": 0,
                                           "min_tsid": 1000,
                                           "max_tsid": 2000 },
                       "logged_in":       {"max_timeseries": 250,
                                           "max_timeseries_per_request": 10,
                                           "max_gridded": 12,
                                           "max_gridded_per_request": 1,
                                           "min_tsid": None,
                                           "max_tsid": None },
                       "registered":      {"max_timeseries": 10000,
                                           "max_timeseries_per_request": 500,
                                           "max_gridded": 120,
                                           "max_gridded_per_request": 12,
                                           "min_tsid": None,
                                           "max_tsid": None },
                       "power-toar-user": {"max_timeseries": None,
                                           "max_timeseries_per_request": None,
                                           "max_gridded": None,
                                           "max_gridded_per_request": None,
                                           "min_tsid": None,
                                           "max_tsid": None }}

gridded_product_units = {"timeseries": 6000,
                         "years": 5}
